<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\As\V20180419\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeLifecycleHooks返回参数结构体
 *
 * @method array getLifecycleHookSet() 获取生命周期挂钩数组
 * @method void setLifecycleHookSet(array $LifecycleHookSet) 设置生命周期挂钩数组
 * @method integer getTotalCount() 获取总体数量
 * @method void setTotalCount(integer $TotalCount) 设置总体数量
 * @method string getRequestId() 获取唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 * @method void setRequestId(string $RequestId) 设置唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 */
class DescribeLifecycleHooksResponse extends AbstractModel
{
    /**
     * @var array 生命周期挂钩数组
     */
    public $LifecycleHookSet;

    /**
     * @var integer 总体数量
     */
    public $TotalCount;

    /**
     * @var string 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    public $RequestId;

    /**
     * @param array $LifecycleHookSet 生命周期挂钩数组
     * @param integer $TotalCount 总体数量
     * @param string $RequestId 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("LifecycleHookSet",$param) and $param["LifecycleHookSet"] !== null) {
            $this->LifecycleHookSet = [];
            foreach ($param["LifecycleHookSet"] as $key => $value){
                $obj = new LifecycleHook();
                $obj->deserialize($value);
                array_push($this->LifecycleHookSet, $obj);
            }
        }

        if (array_key_exists("TotalCount",$param) and $param["TotalCount"] !== null) {
            $this->TotalCount = $param["TotalCount"];
        }

        if (array_key_exists("RequestId",$param) and $param["RequestId"] !== null) {
            $this->RequestId = $param["RequestId"];
        }
    }
}
