<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Cdn\V20180606\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeReportData请求参数结构体
 *
 * @method string getStartTime() 获取查询起始时间
 * @method void setStartTime(string $StartTime) 设置查询起始时间
 * @method string getEndTime() 获取查询结束时间
 * @method void setEndTime(string $EndTime) 设置查询结束时间
 * @method string getReportType() 获取报表类型
daily：日报表
weekly：周报表
monthly：月报表
 * @method void setReportType(string $ReportType) 设置报表类型
daily：日报表
weekly：周报表
monthly：月报表
 * @method string getArea() 获取域名加速区域
mainland：中国境内
overseas：中国境外
 * @method void setArea(string $Area) 设置域名加速区域
mainland：中国境内
overseas：中国境外
 * @method integer getOffset() 获取偏移量，默认0。
 * @method void setOffset(integer $Offset) 设置偏移量，默认0。
 * @method integer getLimit() 获取数据个数，默认1000。
 * @method void setLimit(integer $Limit) 设置数据个数，默认1000。
 * @method integer getProject() 获取按项目ID筛选
 * @method void setProject(integer $Project) 设置按项目ID筛选
 */
class DescribeReportDataRequest extends AbstractModel
{
    /**
     * @var string 查询起始时间
     */
    public $StartTime;

    /**
     * @var string 查询结束时间
     */
    public $EndTime;

    /**
     * @var string 报表类型
daily：日报表
weekly：周报表
monthly：月报表
     */
    public $ReportType;

    /**
     * @var string 域名加速区域
mainland：中国境内
overseas：中国境外
     */
    public $Area;

    /**
     * @var integer 偏移量，默认0。
     */
    public $Offset;

    /**
     * @var integer 数据个数，默认1000。
     */
    public $Limit;

    /**
     * @var integer 按项目ID筛选
     */
    public $Project;

    /**
     * @param string $StartTime 查询起始时间
     * @param string $EndTime 查询结束时间
     * @param string $ReportType 报表类型
daily：日报表
weekly：周报表
monthly：月报表
     * @param string $Area 域名加速区域
mainland：中国境内
overseas：中国境外
     * @param integer $Offset 偏移量，默认0。
     * @param integer $Limit 数据个数，默认1000。
     * @param integer $Project 按项目ID筛选
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("StartTime",$param) and $param["StartTime"] !== null) {
            $this->StartTime = $param["StartTime"];
        }

        if (array_key_exists("EndTime",$param) and $param["EndTime"] !== null) {
            $this->EndTime = $param["EndTime"];
        }

        if (array_key_exists("ReportType",$param) and $param["ReportType"] !== null) {
            $this->ReportType = $param["ReportType"];
        }

        if (array_key_exists("Area",$param) and $param["Area"] !== null) {
            $this->Area = $param["Area"];
        }

        if (array_key_exists("Offset",$param) and $param["Offset"] !== null) {
            $this->Offset = $param["Offset"];
        }

        if (array_key_exists("Limit",$param) and $param["Limit"] !== null) {
            $this->Limit = $param["Limit"];
        }

        if (array_key_exists("Project",$param) and $param["Project"] !== null) {
            $this->Project = $param["Project"];
        }
    }
}
