<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Cdn\V20180606\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DisableCaches请求参数结构体
 *
 * @method array getUrls() 获取需要禁用的 URL 列表
每次最多可提交 100 条，每日最多可提交 3000 条
 * @method void setUrls(array $Urls) 设置需要禁用的 URL 列表
每次最多可提交 100 条，每日最多可提交 3000 条
 */
class DisableCachesRequest extends AbstractModel
{
    /**
     * @var array 需要禁用的 URL 列表
每次最多可提交 100 条，每日最多可提交 3000 条
     */
    public $Urls;

    /**
     * @param array $Urls 需要禁用的 URL 列表
每次最多可提交 100 条，每日最多可提交 3000 条
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Urls",$param) and $param["Urls"] !== null) {
            $this->Urls = $param["Urls"];
        }
    }
}
