<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Ecm\V20190719\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribePeakNetworkOverview返回参数结构体
 *
 * @method array getPeakNetworkRegionSet() 获取网络峰值数组。
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setPeakNetworkRegionSet(array $PeakNetworkRegionSet) 设置网络峰值数组。
注意：此字段可能返回 null，表示取不到有效值。
 * @method string getRequestId() 获取唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 * @method void setRequestId(string $RequestId) 设置唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 */
class DescribePeakNetworkOverviewResponse extends AbstractModel
{
    /**
     * @var array 网络峰值数组。
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $PeakNetworkRegionSet;

    /**
     * @var string 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    public $RequestId;

    /**
     * @param array $PeakNetworkRegionSet 网络峰值数组。
注意：此字段可能返回 null，表示取不到有效值。
     * @param string $RequestId 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("PeakNetworkRegionSet",$param) and $param["PeakNetworkRegionSet"] !== null) {
            $this->PeakNetworkRegionSet = [];
            foreach ($param["PeakNetworkRegionSet"] as $key => $value){
                $obj = new PeakNetworkRegionInfo();
                $obj->deserialize($value);
                array_push($this->PeakNetworkRegionSet, $obj);
            }
        }

        if (array_key_exists("RequestId",$param) and $param["RequestId"] !== null) {
            $this->RequestId = $param["RequestId"];
        }
    }
}
