/*
Navicat MySQL Data Transfer

Source Server         : localhost_3306
Source Server Version : 50726
Source Host           : localhost:3306
Source Database       : yuanma-edu

Target Server Type    : MYSQL
Target Server Version : 50726
File Encoding         : 65001

Date: 2021-02-01 09:42:29
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `cmf_admin_menu`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_admin_menu`;
CREATE TABLE `cmf_admin_menu` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '父菜单id',
  `type` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '菜单类型;1:有界面可访问菜单,2:无界面可访问菜单,0:只作为菜单',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '状态;1:显示,0:不显示',
  `list_order` float NOT NULL DEFAULT '10000' COMMENT '排序',
  `app` varchar(40) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '应用名',
  `controller` varchar(30) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '控制器名',
  `action` varchar(30) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '操作名称',
  `param` varchar(50) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '额外参数',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '菜单名称',
  `icon` varchar(20) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '菜单图标',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY `parent_id` (`parent_id`) USING BTREE,
  KEY `controller` (`controller`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=311 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='后台菜单表';

-- ----------------------------
-- Records of cmf_admin_menu
-- ----------------------------
INSERT INTO `cmf_admin_menu` VALUES ('1', '0', '0', '1', '10000', 'admin', 'Plugin', 'default', '', '插件中心', 'layui-icon-upload', '插件中心');
INSERT INTO `cmf_admin_menu` VALUES ('6', '0', '0', '1', '1', 'admin', 'Setting', 'default', '', '设置', 'layui-icon-set', '系统设置入口');
INSERT INTO `cmf_admin_menu` VALUES ('7', '6', '1', '0', '50', 'admin', 'Link', 'index', '', '友情链接', '', '友情链接管理');
INSERT INTO `cmf_admin_menu` VALUES ('8', '7', '1', '0', '10000', 'admin', 'Link', 'add', '', '添加友情链接', '', '添加友情链接');
INSERT INTO `cmf_admin_menu` VALUES ('9', '7', '2', '0', '10000', 'admin', 'Link', 'addPost', '', '添加友情链接提交保存', '', '添加友情链接提交保存');
INSERT INTO `cmf_admin_menu` VALUES ('10', '7', '1', '0', '10000', 'admin', 'Link', 'edit', '', '编辑友情链接', '', '编辑友情链接');
INSERT INTO `cmf_admin_menu` VALUES ('11', '7', '2', '0', '10000', 'admin', 'Link', 'editPost', '', '编辑友情链接提交保存', '', '编辑友情链接提交保存');
INSERT INTO `cmf_admin_menu` VALUES ('12', '7', '2', '0', '10000', 'admin', 'Link', 'delete', '', '删除友情链接', '', '删除友情链接');
INSERT INTO `cmf_admin_menu` VALUES ('13', '7', '2', '0', '10000', 'admin', 'Link', 'listOrder', '', '友情链接排序', '', '友情链接排序');
INSERT INTO `cmf_admin_menu` VALUES ('14', '7', '2', '0', '10000', 'admin', 'Link', 'toggle', '', '友情链接显示隐藏', '', '友情链接显示隐藏');
INSERT INTO `cmf_admin_menu` VALUES ('15', '6', '1', '0', '10', 'admin', 'Mailer', 'index', '', '邮箱配置', '', '邮箱配置');
INSERT INTO `cmf_admin_menu` VALUES ('16', '15', '2', '0', '10000', 'admin', 'Mailer', 'indexPost', '', '邮箱配置提交保存', '', '邮箱配置提交保存');
INSERT INTO `cmf_admin_menu` VALUES ('17', '15', '1', '0', '10000', 'admin', 'Mailer', 'template', '', '邮件模板', '', '邮件模板');
INSERT INTO `cmf_admin_menu` VALUES ('18', '15', '2', '0', '10000', 'admin', 'Mailer', 'templatePost', '', '邮件模板提交', '', '邮件模板提交');
INSERT INTO `cmf_admin_menu` VALUES ('19', '15', '1', '0', '10000', 'admin', 'Mailer', 'test', '', '邮件发送测试', '', '邮件发送测试');
INSERT INTO `cmf_admin_menu` VALUES ('20', '0', '1', '0', '10000', 'admin', 'Menu', 'index', '', '后台菜单', '', '后台菜单管理');
INSERT INTO `cmf_admin_menu` VALUES ('21', '20', '1', '0', '10000', 'admin', 'Menu', 'lists', '', '所有菜单', '', '后台所有菜单列表');
INSERT INTO `cmf_admin_menu` VALUES ('22', '20', '1', '0', '10000', 'admin', 'Menu', 'add', '', '后台菜单添加', '', '后台菜单添加');
INSERT INTO `cmf_admin_menu` VALUES ('23', '20', '2', '0', '10000', 'admin', 'Menu', 'addPost', '', '后台菜单添加提交保存', '', '后台菜单添加提交保存');
INSERT INTO `cmf_admin_menu` VALUES ('24', '20', '1', '0', '10000', 'admin', 'Menu', 'edit', '', '后台菜单编辑', '', '后台菜单编辑');
INSERT INTO `cmf_admin_menu` VALUES ('25', '20', '2', '0', '10000', 'admin', 'Menu', 'editPost', '', '后台菜单编辑提交保存', '', '后台菜单编辑提交保存');
INSERT INTO `cmf_admin_menu` VALUES ('26', '20', '2', '0', '10000', 'admin', 'Menu', 'delete', '', '后台菜单删除', '', '后台菜单删除');
INSERT INTO `cmf_admin_menu` VALUES ('27', '20', '2', '0', '10000', 'admin', 'Menu', 'listOrder', '', '后台菜单排序', '', '后台菜单排序');
INSERT INTO `cmf_admin_menu` VALUES ('28', '20', '1', '0', '10000', 'admin', 'Menu', 'getActions', '', '导入新后台菜单', '', '导入新后台菜单');
INSERT INTO `cmf_admin_menu` VALUES ('42', '1', '1', '1', '10000', 'admin', 'Plugin', 'index', '', '插件列表', '', '插件列表');
INSERT INTO `cmf_admin_menu` VALUES ('43', '42', '2', '0', '10000', 'admin', 'Plugin', 'toggle', '', '插件启用禁用', '', '插件启用禁用');
INSERT INTO `cmf_admin_menu` VALUES ('44', '42', '1', '0', '10000', 'admin', 'Plugin', 'setting', '', '插件设置', '', '插件设置');
INSERT INTO `cmf_admin_menu` VALUES ('45', '42', '2', '0', '10000', 'admin', 'Plugin', 'settingPost', '', '插件设置提交', '', '插件设置提交');
INSERT INTO `cmf_admin_menu` VALUES ('46', '42', '2', '0', '10000', 'admin', 'Plugin', 'install', '', '插件安装', '', '插件安装');
INSERT INTO `cmf_admin_menu` VALUES ('47', '42', '2', '0', '10000', 'admin', 'Plugin', 'update', '', '插件更新', '', '插件更新');
INSERT INTO `cmf_admin_menu` VALUES ('48', '42', '2', '0', '10000', 'admin', 'Plugin', 'uninstall', '', '卸载插件', '', '卸载插件');
INSERT INTO `cmf_admin_menu` VALUES ('49', '0', '0', '1', '20', 'admin', 'User', 'default', '', '管理组', 'layui-icon-vercode', '管理组');
INSERT INTO `cmf_admin_menu` VALUES ('50', '49', '1', '1', '10000', 'admin', 'Rbac', 'index', '', '角色管理', '', '角色管理');
INSERT INTO `cmf_admin_menu` VALUES ('51', '50', '1', '0', '10000', 'admin', 'Rbac', 'roleAdd', '', '添加角色', '', '添加角色');
INSERT INTO `cmf_admin_menu` VALUES ('52', '50', '2', '0', '10000', 'admin', 'Rbac', 'roleAddPost', '', '添加角色提交', '', '添加角色提交');
INSERT INTO `cmf_admin_menu` VALUES ('53', '50', '1', '0', '10000', 'admin', 'Rbac', 'roleEdit', '', '编辑角色', '', '编辑角色');
INSERT INTO `cmf_admin_menu` VALUES ('54', '50', '2', '0', '10000', 'admin', 'Rbac', 'roleEditPost', '', '编辑角色提交', '', '编辑角色提交');
INSERT INTO `cmf_admin_menu` VALUES ('55', '50', '2', '0', '10000', 'admin', 'Rbac', 'roleDelete', '', '删除角色', '', '删除角色');
INSERT INTO `cmf_admin_menu` VALUES ('56', '50', '1', '0', '10000', 'admin', 'Rbac', 'authorize', '', '设置角色权限', '', '设置角色权限');
INSERT INTO `cmf_admin_menu` VALUES ('57', '50', '2', '0', '10000', 'admin', 'Rbac', 'authorizePost', '', '角色授权提交', '', '角色授权提交');
INSERT INTO `cmf_admin_menu` VALUES ('71', '6', '1', '1', '0', 'admin', 'Setting', 'site', '', '网站信息', '', '网站信息');
INSERT INTO `cmf_admin_menu` VALUES ('72', '71', '2', '0', '10000', 'admin', 'Setting', 'sitePost', '', '网站信息设置提交', '', '网站信息设置提交');
INSERT INTO `cmf_admin_menu` VALUES ('73', '0', '1', '0', '10000', 'admin', 'Setting', 'password', '', '密码修改', '', '密码修改');
INSERT INTO `cmf_admin_menu` VALUES ('74', '73', '2', '0', '10000', 'admin', 'Setting', 'passwordPost', '', '密码修改提交', '', '密码修改提交');
INSERT INTO `cmf_admin_menu` VALUES ('75', '6', '1', '1', '10000', 'admin', 'Setting', 'upload', '', '上传设置', '', '上传设置');
INSERT INTO `cmf_admin_menu` VALUES ('76', '75', '2', '0', '10000', 'admin', 'Setting', 'uploadPost', '', '上传设置提交', '', '上传设置提交');
INSERT INTO `cmf_admin_menu` VALUES ('77', '0', '1', '0', '10000', 'admin', 'Setting', 'clearCache', '', '清除缓存', '', '清除缓存');
INSERT INTO `cmf_admin_menu` VALUES ('78', '6', '1', '1', '40', 'admin', 'Slide', 'index', '', '幻灯片管理', '', '幻灯片管理');
INSERT INTO `cmf_admin_menu` VALUES ('79', '78', '1', '0', '10000', 'admin', 'Slide', 'add', '', '添加幻灯片', '', '添加幻灯片');
INSERT INTO `cmf_admin_menu` VALUES ('80', '78', '2', '0', '10000', 'admin', 'Slide', 'addPost', '', '添加幻灯片提交', '', '添加幻灯片提交');
INSERT INTO `cmf_admin_menu` VALUES ('81', '78', '1', '0', '10000', 'admin', 'Slide', 'edit', '', '编辑幻灯片', '', '编辑幻灯片');
INSERT INTO `cmf_admin_menu` VALUES ('82', '78', '2', '0', '10000', 'admin', 'Slide', 'editPost', '', '编辑幻灯片提交', '', '编辑幻灯片提交');
INSERT INTO `cmf_admin_menu` VALUES ('83', '78', '2', '0', '10000', 'admin', 'Slide', 'delete', '', '删除幻灯片', '', '删除幻灯片');
INSERT INTO `cmf_admin_menu` VALUES ('84', '78', '1', '0', '10000', 'admin', 'SlideItem', 'index', '', '幻灯片页面列表', '', '幻灯片页面列表');
INSERT INTO `cmf_admin_menu` VALUES ('85', '84', '1', '0', '10000', 'admin', 'SlideItem', 'add', '', '幻灯片页面添加', '', '幻灯片页面添加');
INSERT INTO `cmf_admin_menu` VALUES ('86', '84', '2', '0', '10000', 'admin', 'SlideItem', 'addPost', '', '幻灯片页面添加提交', '', '幻灯片页面添加提交');
INSERT INTO `cmf_admin_menu` VALUES ('87', '84', '1', '0', '10000', 'admin', 'SlideItem', 'edit', '', '幻灯片页面编辑', '', '幻灯片页面编辑');
INSERT INTO `cmf_admin_menu` VALUES ('88', '84', '2', '0', '10000', 'admin', 'SlideItem', 'editPost', '', '幻灯片页面编辑提交', '', '幻灯片页面编辑提交');
INSERT INTO `cmf_admin_menu` VALUES ('89', '84', '2', '0', '10000', 'admin', 'SlideItem', 'delete', '', '幻灯片页面删除', '', '幻灯片页面删除');
INSERT INTO `cmf_admin_menu` VALUES ('90', '84', '2', '0', '10000', 'admin', 'SlideItem', 'ban', '', '幻灯片页面隐藏', '', '幻灯片页面隐藏');
INSERT INTO `cmf_admin_menu` VALUES ('91', '84', '2', '0', '10000', 'admin', 'SlideItem', 'cancelBan', '', '幻灯片页面显示', '', '幻灯片页面显示');
INSERT INTO `cmf_admin_menu` VALUES ('92', '84', '2', '0', '10000', 'admin', 'SlideItem', 'listOrder', '', '幻灯片页面排序', '', '幻灯片页面排序');
INSERT INTO `cmf_admin_menu` VALUES ('93', '6', '1', '1', '10000', 'admin', 'Storage', 'index', '', '文件存储', '', '文件存储');
INSERT INTO `cmf_admin_menu` VALUES ('94', '93', '2', '0', '10000', 'admin', 'Storage', 'settingPost', '', '文件存储设置提交', '', '文件存储设置提交');
INSERT INTO `cmf_admin_menu` VALUES ('111', '49', '1', '1', '10000', 'admin', 'User', 'index', '', '管理员', '', '管理员管理');
INSERT INTO `cmf_admin_menu` VALUES ('112', '111', '1', '0', '10000', 'admin', 'User', 'add', '', '管理员添加', '', '管理员添加');
INSERT INTO `cmf_admin_menu` VALUES ('113', '111', '2', '0', '10000', 'admin', 'User', 'addPost', '', '管理员添加提交', '', '管理员添加提交');
INSERT INTO `cmf_admin_menu` VALUES ('114', '111', '1', '0', '10000', 'admin', 'User', 'edit', '', '管理员编辑', '', '管理员编辑');
INSERT INTO `cmf_admin_menu` VALUES ('115', '111', '2', '0', '10000', 'admin', 'User', 'editPost', '', '管理员编辑提交', '', '管理员编辑提交');
INSERT INTO `cmf_admin_menu` VALUES ('116', '111', '1', '0', '10000', 'admin', 'User', 'userInfo', '', '个人信息', '', '管理员个人信息修改');
INSERT INTO `cmf_admin_menu` VALUES ('117', '111', '2', '0', '10000', 'admin', 'User', 'userInfoPost', '', '管理员个人信息修改提交', '', '管理员个人信息修改提交');
INSERT INTO `cmf_admin_menu` VALUES ('118', '111', '2', '0', '10000', 'admin', 'User', 'delete', '', '管理员删除', '', '管理员删除');
INSERT INTO `cmf_admin_menu` VALUES ('119', '111', '2', '0', '10000', 'admin', 'User', 'ban', '', '停用管理员', '', '停用管理员');
INSERT INTO `cmf_admin_menu` VALUES ('120', '111', '2', '0', '10000', 'admin', 'User', 'cancelBan', '', '启用管理员', '', '启用管理员');
INSERT INTO `cmf_admin_menu` VALUES ('121', '0', '1', '0', '10000', 'user', 'AdminAsset', 'index', '', '资源管理', 'file', '资源管理列表');
INSERT INTO `cmf_admin_menu` VALUES ('122', '121', '2', '0', '10000', 'user', 'AdminAsset', 'delete', '', '删除文件', '', '删除文件');
INSERT INTO `cmf_admin_menu` VALUES ('162', '0', '0', '1', '19', 'portal', 'AdminIndex', 'default', '', '文章管理', 'layui-icon-survey', '内容管理');
INSERT INTO `cmf_admin_menu` VALUES ('163', '162', '1', '1', '10000', 'portal', 'AdminArticle', 'index', '', '文章管理', '', '文章列表');
INSERT INTO `cmf_admin_menu` VALUES ('164', '163', '1', '0', '10000', 'portal', 'AdminArticle', 'add', '', '添加文章', '', '添加文章');
INSERT INTO `cmf_admin_menu` VALUES ('165', '163', '2', '0', '10000', 'portal', 'AdminArticle', 'addPost', '', '添加文章提交', '', '添加文章提交');
INSERT INTO `cmf_admin_menu` VALUES ('166', '163', '1', '0', '10000', 'portal', 'AdminArticle', 'edit', '', '编辑文章', '', '编辑文章');
INSERT INTO `cmf_admin_menu` VALUES ('167', '163', '2', '0', '10000', 'portal', 'AdminArticle', 'editPost', '', '编辑文章提交', '', '编辑文章提交');
INSERT INTO `cmf_admin_menu` VALUES ('168', '163', '2', '0', '10000', 'portal', 'AdminArticle', 'delete', '', '文章删除', '', '文章删除');
INSERT INTO `cmf_admin_menu` VALUES ('169', '163', '2', '0', '10000', 'portal', 'AdminArticle', 'publish', '', '文章发布', '', '文章发布');
INSERT INTO `cmf_admin_menu` VALUES ('170', '163', '2', '0', '10000', 'portal', 'AdminArticle', 'top', '', '文章置顶', '', '文章置顶');
INSERT INTO `cmf_admin_menu` VALUES ('171', '163', '2', '0', '10000', 'portal', 'AdminArticle', 'recommend', '', '文章推荐', '', '文章推荐');
INSERT INTO `cmf_admin_menu` VALUES ('172', '163', '2', '0', '10000', 'portal', 'AdminArticle', 'listOrder', '', '文章排序', '', '文章排序');
INSERT INTO `cmf_admin_menu` VALUES ('173', '162', '1', '1', '10000', 'portal', 'AdminCategory', 'index', '', '分类管理', '', '文章分类列表');
INSERT INTO `cmf_admin_menu` VALUES ('174', '173', '1', '0', '10000', 'portal', 'AdminCategory', 'add', '', '添加文章分类', '', '添加文章分类');
INSERT INTO `cmf_admin_menu` VALUES ('175', '173', '2', '0', '10000', 'portal', 'AdminCategory', 'addPost', '', '添加文章分类提交', '', '添加文章分类提交');
INSERT INTO `cmf_admin_menu` VALUES ('176', '173', '1', '0', '10000', 'portal', 'AdminCategory', 'edit', '', '编辑文章分类', '', '编辑文章分类');
INSERT INTO `cmf_admin_menu` VALUES ('177', '173', '2', '0', '10000', 'portal', 'AdminCategory', 'editPost', '', '编辑文章分类提交', '', '编辑文章分类提交');
INSERT INTO `cmf_admin_menu` VALUES ('178', '173', '1', '0', '10000', 'portal', 'AdminCategory', 'select', '', '文章分类选择对话框', '', '文章分类选择对话框');
INSERT INTO `cmf_admin_menu` VALUES ('179', '173', '2', '0', '10000', 'portal', 'AdminCategory', 'listOrder', '', '文章分类排序', '', '文章分类排序');
INSERT INTO `cmf_admin_menu` VALUES ('180', '173', '2', '0', '10000', 'portal', 'AdminCategory', 'toggle', '', '文章分类显示隐藏', '', '文章分类显示隐藏');
INSERT INTO `cmf_admin_menu` VALUES ('181', '173', '2', '0', '10000', 'portal', 'AdminCategory', 'delete', '', '删除文章分类', '', '删除文章分类');
INSERT INTO `cmf_admin_menu` VALUES ('182', '162', '1', '1', '10000', 'portal', 'AdminPage', 'index', '', '页面管理', '', '页面管理');
INSERT INTO `cmf_admin_menu` VALUES ('183', '182', '1', '0', '10000', 'portal', 'AdminPage', 'add', '', '添加页面', '', '添加页面');
INSERT INTO `cmf_admin_menu` VALUES ('184', '182', '2', '0', '10000', 'portal', 'AdminPage', 'addPost', '', '添加页面提交', '', '添加页面提交');
INSERT INTO `cmf_admin_menu` VALUES ('185', '182', '1', '0', '10000', 'portal', 'AdminPage', 'edit', '', '编辑页面', '', '编辑页面');
INSERT INTO `cmf_admin_menu` VALUES ('186', '182', '2', '0', '10000', 'portal', 'AdminPage', 'editPost', '', '编辑页面提交', '', '编辑页面提交');
INSERT INTO `cmf_admin_menu` VALUES ('187', '182', '2', '0', '10000', 'portal', 'AdminPage', 'delete', '', '删除页面', '', '删除页面');
INSERT INTO `cmf_admin_menu` VALUES ('188', '162', '1', '0', '10000', 'portal', 'AdminTag', 'index', '', '文章标签', '', '文章标签');
INSERT INTO `cmf_admin_menu` VALUES ('189', '188', '1', '0', '10000', 'portal', 'AdminTag', 'add', '', '添加文章标签', '', '添加文章标签');
INSERT INTO `cmf_admin_menu` VALUES ('190', '188', '2', '0', '10000', 'portal', 'AdminTag', 'addPost', '', '添加文章标签提交', '', '添加文章标签提交');
INSERT INTO `cmf_admin_menu` VALUES ('191', '188', '2', '0', '10000', 'portal', 'AdminTag', 'upStatus', '', '更新标签状态', '', '更新标签状态');
INSERT INTO `cmf_admin_menu` VALUES ('192', '188', '2', '0', '10000', 'portal', 'AdminTag', 'delete', '', '删除文章标签', '', '删除文章标签');
INSERT INTO `cmf_admin_menu` VALUES ('193', '6', '1', '1', '1', 'admin', 'Setting', 'configpri', '', '私密设置', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('194', '193', '1', '0', '10000', 'admin', 'Setting', 'configpriPost', '', '设置', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('196', '0', '1', '1', '16', 'admin', 'courseclass', 'index', '', '科目分类', 'layui-icon-form', '');
INSERT INTO `cmf_admin_menu` VALUES ('197', '196', '1', '0', '10000', 'admin', 'courseclass', 'add', '', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('198', '196', '1', '0', '10000', 'admin', 'courseclass', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('199', '196', '1', '0', '10000', 'admin', 'courseclass', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('200', '196', '1', '0', '10000', 'admin', 'courseclass', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('201', '196', '1', '0', '10000', 'admin', 'courseclass', 'listOrder', '', '排序', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('202', '196', '1', '0', '10000', 'admin', 'courseclass', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('203', '0', '1', '1', '2', 'admin', 'users', 'index', 'type=0', '用户列表', 'layui-icon-username', '');
INSERT INTO `cmf_admin_menu` VALUES ('204', '203', '1', '0', '10000', 'admin', 'users', 'add', '', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('205', '203', '1', '0', '10000', 'admin', 'users', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('206', '203', '1', '0', '10000', 'admin', 'users', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('207', '203', '1', '0', '10000', 'admin', 'users', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('208', '203', '1', '0', '10000', 'admin', 'users', 'ban', '', '禁用', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('209', '203', '1', '0', '10000', 'admin', 'users', 'cancelBan', '', '启用', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('210', '203', '1', '0', '10000', 'admin', 'users', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('211', '6', '1', '1', '13', 'admin', 'signory', 'index', '', '专长领域', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('212', '211', '1', '0', '10000', 'admin', 'signory', 'add', '', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('213', '211', '1', '0', '10000', 'admin', 'signory', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('214', '211', '1', '0', '10000', 'admin', 'signory', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('215', '211', '1', '0', '10000', 'admin', 'signory', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('216', '211', '1', '0', '10000', 'admin', 'signory', 'listOrder', '', '排序', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('217', '211', '1', '0', '10000', 'admin', 'signory', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('218', '6', '1', '1', '12', 'admin', 'identity', 'index', '', '身份标识', 'bookmark', '');
INSERT INTO `cmf_admin_menu` VALUES ('219', '218', '1', '0', '10000', 'admin', 'identity', 'add', '', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('220', '218', '1', '0', '10000', 'admin', 'identity', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('221', '218', '1', '0', '10000', 'admin', 'identity', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('222', '218', '1', '0', '10000', 'admin', 'identity', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('223', '218', '1', '0', '10000', 'admin', 'identity', 'listOrder', '', '排序', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('224', '218', '1', '0', '10000', 'admin', 'identity', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('225', '0', '1', '1', '3', 'admin', 'users', 'teacher', 'type=1', '教师列表', 'layui-icon-user', '');
INSERT INTO `cmf_admin_menu` VALUES ('226', '0', '1', '1', '18', 'admin', 'feedback', 'index', '', '反馈', 'layui-icon-notice', '');
INSERT INTO `cmf_admin_menu` VALUES ('227', '226', '1', '0', '10000', 'admin', 'feedback', 'setstatus', '', '处理', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('228', '226', '1', '0', '10000', 'admin', 'feedback', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('229', '0', '1', '1', '6', 'admin', 'course', 'index', 'sort=1', '课程列表', 'layui-icon-read', '');
INSERT INTO `cmf_admin_menu` VALUES ('230', '229', '1', '0', '10000', 'admin', 'course', 'add', 'sort=0', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('231', '229', '1', '0', '10000', 'admin', 'course', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('232', '229', '1', '0', '10000', 'admin', 'course', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('233', '229', '1', '0', '10000', 'admin', 'course', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('234', '229', '1', '0', '10000', 'admin', 'course', 'setstatus', '', '上下架', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('235', '229', '1', '0', '10000', 'admin', 'course', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('236', '0', '1', '1', '7', 'admin', 'course', 'contents', 'sort=0', '付费内容列表', 'layui-icon-dollar', '');
INSERT INTO `cmf_admin_menu` VALUES ('237', '266', '1', '1', '1', 'admin', 'course', 'live', 'sort=2', '语音大班课', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('238', '0', '1', '0', '10000', 'admin', 'lession', 'index', '', '课时管理', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('239', '238', '1', '0', '10000', 'admin', 'lession', 'add', '', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('240', '238', '1', '0', '10000', 'admin', 'lession', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('241', '238', '1', '0', '10000', 'admin', 'lession', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('242', '238', '1', '0', '10000', 'admin', 'lession', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('243', '238', '1', '0', '10000', 'admin', 'lession', 'listOrder', '', '排序', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('244', '238', '1', '0', '10000', 'admin', 'lession', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('245', '0', '1', '1', '17', 'admin', 'push', 'index', '', '系统消息', 'layui-icon-dialogue', '');
INSERT INTO `cmf_admin_menu` VALUES ('246', '245', '1', '0', '10000', 'admin', 'push', 'add', '', '推送', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('247', '245', '1', '0', '10000', 'admin', 'push', 'addPost', '', '推送提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('248', '0', '1', '1', '10', 'admin', 'orders', 'index', '', '订单管理', 'layui-icon-rmb', '');
INSERT INTO `cmf_admin_menu` VALUES ('249', '248', '1', '0', '10000', 'admin', 'orders', 'goods', '', '商品列表', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('250', '248', '1', '0', '10000', 'admin', 'orders', 'setSend', '', '标记发货', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('251', '0', '1', '1', '15', 'admin', 'Coursegrade', 'index', '', '学级分类', 'layui-icon-tabs', '');
INSERT INTO `cmf_admin_menu` VALUES ('252', '251', '1', '0', '10000', 'admin', 'Coursegrade', 'add', '', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('253', '251', '1', '0', '10000', 'admin', 'Coursegrade', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('254', '251', '1', '0', '10000', 'admin', 'Coursegrade', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('255', '251', '1', '0', '10000', 'admin', 'Coursegrade', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('256', '251', '1', '0', '10000', 'admin', 'Coursegrade', 'listOrder', '', '排序', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('257', '251', '1', '0', '10000', 'admin', 'Coursegrade', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('258', '0', '1', '1', '9', 'admin', 'package', 'index', '', '套餐管理', 'layui-icon-list', '');
INSERT INTO `cmf_admin_menu` VALUES ('259', '258', '1', '0', '10000', 'admin', 'package', 'add', '', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('260', '258', '1', '0', '10000', 'admin', 'package', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('261', '258', '1', '0', '10000', 'admin', 'package', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('262', '258', '1', '0', '10000', 'admin', 'package', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('263', '258', '1', '0', '10000', 'admin', 'package', 'listOrder', '', '排序', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('264', '258', '1', '0', '10000', 'admin', 'package', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('265', '258', '1', '0', '10000', 'admin', 'package', 'getCourse', '', '获取课程', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('266', '0', '1', '1', '8', 'admin', 'course', 'default3', '', ' 大班课列表', 'layui-icon-table', '');
INSERT INTO `cmf_admin_menu` VALUES ('267', '266', '1', '1', '2', 'admin', 'course', 'live_video', 'sort=3', '视频大班课', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('268', '0', '1', '1', '11', 'admin', 'question', 'default', '', '题库管理', 'layui-icon-template', '');
INSERT INTO `cmf_admin_menu` VALUES ('269', '268', '1', '1', '10000', 'admin', 'questionclass', 'index', '', '题目分类', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('270', '269', '1', '0', '10000', 'admin', 'questionclass', 'add', '', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('271', '269', '1', '0', '10000', 'admin', 'questionclass', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('272', '269', '1', '0', '10000', 'admin', 'questionclass', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('273', '269', '1', '0', '10000', 'admin', 'questionclass', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('274', '269', '1', '0', '10000', 'admin', 'questionclass', 'listOrder', '', '排序', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('275', '269', '1', '0', '10000', 'admin', 'questionclass', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('276', '268', '1', '1', '10000', 'admin', 'question', 'index', '', '题目列表', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('277', '276', '1', '0', '10000', 'admin', 'question', 'add', '', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('278', '276', '1', '0', '10000', 'admin', 'question', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('279', '276', '1', '0', '10000', 'admin', 'question', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('280', '276', '1', '0', '10000', 'admin', 'question', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('281', '276', '1', '0', '10000', 'admin', 'question', 'listOrder', '', '排序', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('282', '276', '1', '0', '10000', 'admin', 'question', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('286', '0', '1', '1', '12', 'admin', 'tests', 'default', '', '考试管理', 'layui-icon-app', '');
INSERT INTO `cmf_admin_menu` VALUES ('287', '286', '1', '1', '10000', 'admin', 'testscat', 'index', '', '试题分类', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('288', '287', '1', '0', '10000', 'admin', 'testscat', 'add', '', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('289', '287', '1', '0', '10000', 'admin', 'testscat', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('290', '287', '1', '0', '10000', 'admin', 'testscat', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('291', '287', '1', '0', '10000', 'admin', 'testscat', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('292', '287', '1', '0', '10000', 'admin', 'testscat', 'listOrder', '', '排序', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('293', '287', '1', '0', '10000', 'admin', 'testscat', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('294', '286', '1', '1', '10000', 'admin', 'tests', 'index', '', '试题列表', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('295', '294', '1', '0', '10000', 'admin', 'tests', 'add', '', '添加', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('296', '294', '1', '0', '10000', 'admin', 'tests', 'addPost', '', '添加提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('297', '294', '1', '0', '10000', 'admin', 'tests', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('298', '294', '1', '0', '10000', 'admin', 'tests', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('299', '294', '1', '0', '10000', 'admin', 'tests', 'getUserList', '', '获取老师', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('300', '294', '1', '0', '10000', 'admin', 'tests', 'getCourse', '', '获取课程', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('301', '294', '1', '0', '10000', 'admin', 'tests', 'setRelease', '', '发布', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('302', '294', '1', '0', '10000', 'admin', 'tests', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('303', '294', '1', '0', '10000', 'admin', 'tests', 'topic', '', '添加题目', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('304', '294', '1', '0', '10000', 'admin', 'tests', 'topicPost', '', '题目提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('305', '0', '1', '1', '13', 'admin', 'agent', 'index', '', '推广管理', 'layui-icon-group', '');
INSERT INTO `cmf_admin_menu` VALUES ('306', '305', '1', '0', '10000', 'admin', 'agent', 'del', '', '删除', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('307', '0', '1', '1', '14', 'admin', 'auth', 'index', '', '认证管理', 'layui-icon-auz', '');
INSERT INTO `cmf_admin_menu` VALUES ('308', '307', '1', '0', '10000', 'admin', 'auth', 'edit', '', '编辑', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('309', '307', '1', '0', '10000', 'admin', 'auth', 'editPost', '', '编辑提交', '', '');
INSERT INTO `cmf_admin_menu` VALUES ('310', '307', '1', '0', '10000', 'admin', 'auth', 'del', '', '删除', '', '');

-- ----------------------------
-- Table structure for `cmf_agent`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_agent`;
CREATE TABLE `cmf_agent` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `pid` bigint(20) NOT NULL DEFAULT '0' COMMENT '上级用户ID',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '添加时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_agent
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_agent_code`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_agent_code`;
CREATE TABLE `cmf_agent_code` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `code` varchar(255) NOT NULL DEFAULT '' COMMENT '邀请码',
  `isagent` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否是推广员 0否1是',
  `istips` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否提醒 0否1是',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_agent_code
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_asset`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_asset`;
CREATE TABLE `cmf_asset` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '用户id',
  `file_size` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '文件大小,单位B',
  `create_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '上传时间',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态;1:可用,0:不可用',
  `download_times` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '下载次数',
  `file_key` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '文件惟一码',
  `filename` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '文件名',
  `file_path` varchar(100) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '文件路径,相对于upload目录,可以为url',
  `file_md5` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '文件md5值',
  `file_sha1` varchar(40) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `suffix` varchar(10) NOT NULL DEFAULT '' COMMENT '文件后缀名,不包括点',
  `more` text COMMENT '其它详细信息,JSON格式',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='资源表';

-- ----------------------------
-- Records of cmf_asset
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_auth_access`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_auth_access`;
CREATE TABLE `cmf_auth_access` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `role_id` int(10) unsigned NOT NULL COMMENT '角色',
  `rule_name` varchar(100) NOT NULL DEFAULT '' COMMENT '规则唯一英文标识,全小写',
  `type` varchar(30) NOT NULL DEFAULT '' COMMENT '权限规则分类,请加应用前缀,如admin_',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `role_id` (`role_id`) USING BTREE,
  KEY `rule_name` (`rule_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='权限授权表';

-- ----------------------------
-- Records of cmf_auth_access
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_auth_rule`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_auth_rule`;
CREATE TABLE `cmf_auth_rule` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '规则id,自增主键',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '是否有效(0:无效,1:有效)',
  `app` varchar(40) NOT NULL DEFAULT '' COMMENT '规则所属app',
  `type` varchar(30) NOT NULL DEFAULT '' COMMENT '权限规则分类，请加应用前缀,如admin_',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '规则唯一英文标识,全小写',
  `param` varchar(100) NOT NULL DEFAULT '' COMMENT '额外url参数',
  `title` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '规则描述',
  `condition` varchar(200) NOT NULL DEFAULT '' COMMENT '规则附加条件',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `name` (`name`) USING BTREE,
  KEY `module` (`app`,`status`,`type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=311 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='权限规则表';

-- ----------------------------
-- Records of cmf_auth_rule
-- ----------------------------
INSERT INTO `cmf_auth_rule` VALUES ('1', '1', 'admin', 'admin_url', 'admin/Hook/index', '', '钩子管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('2', '1', 'admin', 'admin_url', 'admin/Hook/plugins', '', '钩子插件管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('3', '1', 'admin', 'admin_url', 'admin/Hook/pluginListOrder', '', '钩子插件排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('4', '1', 'admin', 'admin_url', 'admin/Hook/sync', '', '同步钩子', '');
INSERT INTO `cmf_auth_rule` VALUES ('5', '1', 'admin', 'admin_url', 'admin/Link/index', '', '友情链接', '');
INSERT INTO `cmf_auth_rule` VALUES ('6', '1', 'admin', 'admin_url', 'admin/Link/add', '', '添加友情链接', '');
INSERT INTO `cmf_auth_rule` VALUES ('7', '1', 'admin', 'admin_url', 'admin/Link/addPost', '', '添加友情链接提交保存', '');
INSERT INTO `cmf_auth_rule` VALUES ('8', '1', 'admin', 'admin_url', 'admin/Link/edit', '', '编辑友情链接', '');
INSERT INTO `cmf_auth_rule` VALUES ('9', '1', 'admin', 'admin_url', 'admin/Link/editPost', '', '编辑友情链接提交保存', '');
INSERT INTO `cmf_auth_rule` VALUES ('10', '1', 'admin', 'admin_url', 'admin/Link/delete', '', '删除友情链接', '');
INSERT INTO `cmf_auth_rule` VALUES ('11', '1', 'admin', 'admin_url', 'admin/Link/listOrder', '', '友情链接排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('12', '1', 'admin', 'admin_url', 'admin/Link/toggle', '', '友情链接显示隐藏', '');
INSERT INTO `cmf_auth_rule` VALUES ('13', '1', 'admin', 'admin_url', 'admin/Mailer/index', '', '邮箱配置', '');
INSERT INTO `cmf_auth_rule` VALUES ('14', '1', 'admin', 'admin_url', 'admin/Mailer/indexPost', '', '邮箱配置提交保存', '');
INSERT INTO `cmf_auth_rule` VALUES ('15', '1', 'admin', 'admin_url', 'admin/Mailer/template', '', '邮件模板', '');
INSERT INTO `cmf_auth_rule` VALUES ('16', '1', 'admin', 'admin_url', 'admin/Mailer/templatePost', '', '邮件模板提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('17', '1', 'admin', 'admin_url', 'admin/Mailer/test', '', '邮件发送测试', '');
INSERT INTO `cmf_auth_rule` VALUES ('18', '1', 'admin', 'admin_url', 'admin/Menu/index', '', '后台菜单', '');
INSERT INTO `cmf_auth_rule` VALUES ('19', '1', 'admin', 'admin_url', 'admin/Menu/lists', '', '所有菜单', '');
INSERT INTO `cmf_auth_rule` VALUES ('20', '1', 'admin', 'admin_url', 'admin/Menu/add', '', '后台菜单添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('21', '1', 'admin', 'admin_url', 'admin/Menu/addPost', '', '后台菜单添加提交保存', '');
INSERT INTO `cmf_auth_rule` VALUES ('22', '1', 'admin', 'admin_url', 'admin/Menu/edit', '', '后台菜单编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('23', '1', 'admin', 'admin_url', 'admin/Menu/editPost', '', '后台菜单编辑提交保存', '');
INSERT INTO `cmf_auth_rule` VALUES ('24', '1', 'admin', 'admin_url', 'admin/Menu/delete', '', '后台菜单删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('25', '1', 'admin', 'admin_url', 'admin/Menu/listOrder', '', '后台菜单排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('26', '1', 'admin', 'admin_url', 'admin/Menu/getActions', '', '导入新后台菜单', '');
INSERT INTO `cmf_auth_rule` VALUES ('27', '1', 'admin', 'admin_url', 'admin/Nav/index', '', '导航管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('28', '1', 'admin', 'admin_url', 'admin/Nav/add', '', '添加导航', '');
INSERT INTO `cmf_auth_rule` VALUES ('29', '1', 'admin', 'admin_url', 'admin/Nav/addPost', '', '添加导航提交保存', '');
INSERT INTO `cmf_auth_rule` VALUES ('30', '1', 'admin', 'admin_url', 'admin/Nav/edit', '', '编辑导航', '');
INSERT INTO `cmf_auth_rule` VALUES ('31', '1', 'admin', 'admin_url', 'admin/Nav/editPost', '', '编辑导航提交保存', '');
INSERT INTO `cmf_auth_rule` VALUES ('32', '1', 'admin', 'admin_url', 'admin/Nav/delete', '', '删除导航', '');
INSERT INTO `cmf_auth_rule` VALUES ('33', '1', 'admin', 'admin_url', 'admin/NavMenu/index', '', '导航菜单', '');
INSERT INTO `cmf_auth_rule` VALUES ('34', '1', 'admin', 'admin_url', 'admin/NavMenu/add', '', '添加导航菜单', '');
INSERT INTO `cmf_auth_rule` VALUES ('35', '1', 'admin', 'admin_url', 'admin/NavMenu/addPost', '', '添加导航菜单提交保存', '');
INSERT INTO `cmf_auth_rule` VALUES ('36', '1', 'admin', 'admin_url', 'admin/NavMenu/edit', '', '编辑导航菜单', '');
INSERT INTO `cmf_auth_rule` VALUES ('37', '1', 'admin', 'admin_url', 'admin/NavMenu/editPost', '', '编辑导航菜单提交保存', '');
INSERT INTO `cmf_auth_rule` VALUES ('38', '1', 'admin', 'admin_url', 'admin/NavMenu/delete', '', '删除导航菜单', '');
INSERT INTO `cmf_auth_rule` VALUES ('39', '1', 'admin', 'admin_url', 'admin/NavMenu/listOrder', '', '导航菜单排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('40', '1', 'admin', 'admin_url', 'admin/Plugin/default', '', '插件中心', '');
INSERT INTO `cmf_auth_rule` VALUES ('41', '1', 'admin', 'admin_url', 'admin/Plugin/index', '', '插件列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('42', '1', 'admin', 'admin_url', 'admin/Plugin/toggle', '', '插件启用禁用', '');
INSERT INTO `cmf_auth_rule` VALUES ('43', '1', 'admin', 'admin_url', 'admin/Plugin/setting', '', '插件设置', '');
INSERT INTO `cmf_auth_rule` VALUES ('44', '1', 'admin', 'admin_url', 'admin/Plugin/settingPost', '', '插件设置提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('45', '1', 'admin', 'admin_url', 'admin/Plugin/install', '', '插件安装', '');
INSERT INTO `cmf_auth_rule` VALUES ('46', '1', 'admin', 'admin_url', 'admin/Plugin/update', '', '插件更新', '');
INSERT INTO `cmf_auth_rule` VALUES ('47', '1', 'admin', 'admin_url', 'admin/Plugin/uninstall', '', '卸载插件', '');
INSERT INTO `cmf_auth_rule` VALUES ('48', '1', 'admin', 'admin_url', 'admin/Rbac/index', '', '角色管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('49', '1', 'admin', 'admin_url', 'admin/Rbac/roleAdd', '', '添加角色', '');
INSERT INTO `cmf_auth_rule` VALUES ('50', '1', 'admin', 'admin_url', 'admin/Rbac/roleAddPost', '', '添加角色提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('51', '1', 'admin', 'admin_url', 'admin/Rbac/roleEdit', '', '编辑角色', '');
INSERT INTO `cmf_auth_rule` VALUES ('52', '1', 'admin', 'admin_url', 'admin/Rbac/roleEditPost', '', '编辑角色提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('53', '1', 'admin', 'admin_url', 'admin/Rbac/roleDelete', '', '删除角色', '');
INSERT INTO `cmf_auth_rule` VALUES ('54', '1', 'admin', 'admin_url', 'admin/Rbac/authorize', '', '设置角色权限', '');
INSERT INTO `cmf_auth_rule` VALUES ('55', '1', 'admin', 'admin_url', 'admin/Rbac/authorizePost', '', '角色授权提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('56', '1', 'admin', 'admin_url', 'admin/RecycleBin/index', '', '回收站', '');
INSERT INTO `cmf_auth_rule` VALUES ('57', '1', 'admin', 'admin_url', 'admin/RecycleBin/restore', '', '回收站还原', '');
INSERT INTO `cmf_auth_rule` VALUES ('58', '1', 'admin', 'admin_url', 'admin/RecycleBin/delete', '', '回收站彻底删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('59', '1', 'admin', 'admin_url', 'admin/Route/index', '', 'URL美化', '');
INSERT INTO `cmf_auth_rule` VALUES ('60', '1', 'admin', 'admin_url', 'admin/Route/add', '', '添加路由规则', '');
INSERT INTO `cmf_auth_rule` VALUES ('61', '1', 'admin', 'admin_url', 'admin/Route/addPost', '', '添加路由规则提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('62', '1', 'admin', 'admin_url', 'admin/Route/edit', '', '路由规则编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('63', '1', 'admin', 'admin_url', 'admin/Route/editPost', '', '路由规则编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('64', '1', 'admin', 'admin_url', 'admin/Route/delete', '', '路由规则删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('65', '1', 'admin', 'admin_url', 'admin/Route/ban', '', '路由规则禁用', '');
INSERT INTO `cmf_auth_rule` VALUES ('66', '1', 'admin', 'admin_url', 'admin/Route/open', '', '路由规则启用', '');
INSERT INTO `cmf_auth_rule` VALUES ('67', '1', 'admin', 'admin_url', 'admin/Route/listOrder', '', '路由规则排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('68', '1', 'admin', 'admin_url', 'admin/Route/select', '', '选择URL', '');
INSERT INTO `cmf_auth_rule` VALUES ('69', '1', 'admin', 'admin_url', 'admin/Setting/default', '', '设置', '');
INSERT INTO `cmf_auth_rule` VALUES ('70', '1', 'admin', 'admin_url', 'admin/Setting/site', '', '网站信息', '');
INSERT INTO `cmf_auth_rule` VALUES ('71', '1', 'admin', 'admin_url', 'admin/Setting/sitePost', '', '网站信息设置提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('72', '1', 'admin', 'admin_url', 'admin/Setting/password', '', '密码修改', '');
INSERT INTO `cmf_auth_rule` VALUES ('73', '1', 'admin', 'admin_url', 'admin/Setting/passwordPost', '', '密码修改提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('74', '1', 'admin', 'admin_url', 'admin/Setting/upload', '', '上传设置', '');
INSERT INTO `cmf_auth_rule` VALUES ('75', '1', 'admin', 'admin_url', 'admin/Setting/uploadPost', '', '上传设置提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('76', '1', 'admin', 'admin_url', 'admin/Setting/clearCache', '', '清除缓存', '');
INSERT INTO `cmf_auth_rule` VALUES ('77', '1', 'admin', 'admin_url', 'admin/Slide/index', '', '幻灯片管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('78', '1', 'admin', 'admin_url', 'admin/Slide/add', '', '添加幻灯片', '');
INSERT INTO `cmf_auth_rule` VALUES ('79', '1', 'admin', 'admin_url', 'admin/Slide/addPost', '', '添加幻灯片提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('80', '1', 'admin', 'admin_url', 'admin/Slide/edit', '', '编辑幻灯片', '');
INSERT INTO `cmf_auth_rule` VALUES ('81', '1', 'admin', 'admin_url', 'admin/Slide/editPost', '', '编辑幻灯片提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('82', '1', 'admin', 'admin_url', 'admin/Slide/delete', '', '删除幻灯片', '');
INSERT INTO `cmf_auth_rule` VALUES ('83', '1', 'admin', 'admin_url', 'admin/SlideItem/index', '', '幻灯片页面列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('84', '1', 'admin', 'admin_url', 'admin/SlideItem/add', '', '幻灯片页面添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('85', '1', 'admin', 'admin_url', 'admin/SlideItem/addPost', '', '幻灯片页面添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('86', '1', 'admin', 'admin_url', 'admin/SlideItem/edit', '', '幻灯片页面编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('87', '1', 'admin', 'admin_url', 'admin/SlideItem/editPost', '', '幻灯片页面编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('88', '1', 'admin', 'admin_url', 'admin/SlideItem/delete', '', '幻灯片页面删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('89', '1', 'admin', 'admin_url', 'admin/SlideItem/ban', '', '幻灯片页面隐藏', '');
INSERT INTO `cmf_auth_rule` VALUES ('90', '1', 'admin', 'admin_url', 'admin/SlideItem/cancelBan', '', '幻灯片页面显示', '');
INSERT INTO `cmf_auth_rule` VALUES ('91', '1', 'admin', 'admin_url', 'admin/SlideItem/listOrder', '', '幻灯片页面排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('92', '1', 'admin', 'admin_url', 'admin/Storage/index', '', '文件存储', '');
INSERT INTO `cmf_auth_rule` VALUES ('93', '1', 'admin', 'admin_url', 'admin/Storage/settingPost', '', '文件存储设置提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('94', '1', 'admin', 'admin_url', 'admin/Theme/index', '', '模板管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('95', '1', 'admin', 'admin_url', 'admin/Theme/install', '', '安装模板', '');
INSERT INTO `cmf_auth_rule` VALUES ('96', '1', 'admin', 'admin_url', 'admin/Theme/uninstall', '', '卸载模板', '');
INSERT INTO `cmf_auth_rule` VALUES ('97', '1', 'admin', 'admin_url', 'admin/Theme/installTheme', '', '模板安装', '');
INSERT INTO `cmf_auth_rule` VALUES ('98', '1', 'admin', 'admin_url', 'admin/Theme/update', '', '模板更新', '');
INSERT INTO `cmf_auth_rule` VALUES ('99', '1', 'admin', 'admin_url', 'admin/Theme/active', '', '启用模板', '');
INSERT INTO `cmf_auth_rule` VALUES ('100', '1', 'admin', 'admin_url', 'admin/Theme/files', '', '模板文件列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('101', '1', 'admin', 'admin_url', 'admin/Theme/fileSetting', '', '模板文件设置', '');
INSERT INTO `cmf_auth_rule` VALUES ('102', '1', 'admin', 'admin_url', 'admin/Theme/fileArrayData', '', '模板文件数组数据列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('103', '1', 'admin', 'admin_url', 'admin/Theme/fileArrayDataEdit', '', '模板文件数组数据添加编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('104', '1', 'admin', 'admin_url', 'admin/Theme/fileArrayDataEditPost', '', '模板文件数组数据添加编辑提交保存', '');
INSERT INTO `cmf_auth_rule` VALUES ('105', '1', 'admin', 'admin_url', 'admin/Theme/fileArrayDataDelete', '', '模板文件数组数据删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('106', '1', 'admin', 'admin_url', 'admin/Theme/settingPost', '', '模板文件编辑提交保存', '');
INSERT INTO `cmf_auth_rule` VALUES ('107', '1', 'admin', 'admin_url', 'admin/Theme/dataSource', '', '模板文件设置数据源', '');
INSERT INTO `cmf_auth_rule` VALUES ('108', '1', 'admin', 'admin_url', 'admin/Theme/design', '', '模板设计', '');
INSERT INTO `cmf_auth_rule` VALUES ('109', '1', 'admin', 'admin_url', 'admin/User/default', '', '管理组', '');
INSERT INTO `cmf_auth_rule` VALUES ('110', '1', 'admin', 'admin_url', 'admin/User/index', '', '管理员', '');
INSERT INTO `cmf_auth_rule` VALUES ('111', '1', 'admin', 'admin_url', 'admin/User/add', '', '管理员添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('112', '1', 'admin', 'admin_url', 'admin/User/addPost', '', '管理员添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('113', '1', 'admin', 'admin_url', 'admin/User/edit', '', '管理员编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('114', '1', 'admin', 'admin_url', 'admin/User/editPost', '', '管理员编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('115', '1', 'admin', 'admin_url', 'admin/User/userInfo', '', '个人信息', '');
INSERT INTO `cmf_auth_rule` VALUES ('116', '1', 'admin', 'admin_url', 'admin/User/userInfoPost', '', '管理员个人信息修改提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('117', '1', 'admin', 'admin_url', 'admin/User/delete', '', '管理员删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('118', '1', 'admin', 'admin_url', 'admin/User/ban', '', '停用管理员', '');
INSERT INTO `cmf_auth_rule` VALUES ('119', '1', 'admin', 'admin_url', 'admin/User/cancelBan', '', '启用管理员', '');
INSERT INTO `cmf_auth_rule` VALUES ('120', '1', 'user', 'admin_url', 'user/AdminAsset/index', '', '资源管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('121', '1', 'user', 'admin_url', 'user/AdminAsset/delete', '', '删除文件', '');
INSERT INTO `cmf_auth_rule` VALUES ('122', '1', 'admin', 'admin_url', 'admin/users/default', '', '用户管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('123', '1', 'admin', 'admin_url', 'admin/users/default1', '', '用户组', '');
INSERT INTO `cmf_auth_rule` VALUES ('124', '1', 'user', 'admin_url', 'user/AdminIndex/index', '', '本站用户', '');
INSERT INTO `cmf_auth_rule` VALUES ('125', '1', 'user', 'admin_url', 'user/AdminIndex/ban', '', '本站用户拉黑', '');
INSERT INTO `cmf_auth_rule` VALUES ('126', '1', 'user', 'admin_url', 'user/AdminIndex/cancelBan', '', '本站用户启用', '');
INSERT INTO `cmf_auth_rule` VALUES ('127', '1', 'user', 'admin_url', 'user/AdminOauth/index', '', '第三方用户', '');
INSERT INTO `cmf_auth_rule` VALUES ('128', '1', 'user', 'admin_url', 'user/AdminOauth/delete', '', '删除第三方用户绑定', '');
INSERT INTO `cmf_auth_rule` VALUES ('129', '1', 'user', 'admin_url', 'user/AdminUserAction/index', '', '用户操作管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('130', '1', 'user', 'admin_url', 'user/AdminUserAction/edit', '', '编辑用户操作', '');
INSERT INTO `cmf_auth_rule` VALUES ('131', '1', 'user', 'admin_url', 'user/AdminUserAction/editPost', '', '编辑用户操作提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('132', '1', 'user', 'admin_url', 'user/AdminUserAction/sync', '', '同步用户操作', '');
INSERT INTO `cmf_auth_rule` VALUES ('162', '1', 'portal', 'admin_url', 'portal/AdminArticle/index', '', '文章管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('163', '1', 'portal', 'admin_url', 'portal/AdminArticle/add', '', '添加文章', '');
INSERT INTO `cmf_auth_rule` VALUES ('164', '1', 'portal', 'admin_url', 'portal/AdminArticle/addPost', '', '添加文章提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('165', '1', 'portal', 'admin_url', 'portal/AdminArticle/edit', '', '编辑文章', '');
INSERT INTO `cmf_auth_rule` VALUES ('166', '1', 'portal', 'admin_url', 'portal/AdminArticle/editPost', '', '编辑文章提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('167', '1', 'portal', 'admin_url', 'portal/AdminArticle/delete', '', '文章删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('168', '1', 'portal', 'admin_url', 'portal/AdminArticle/publish', '', '文章发布', '');
INSERT INTO `cmf_auth_rule` VALUES ('169', '1', 'portal', 'admin_url', 'portal/AdminArticle/top', '', '文章置顶', '');
INSERT INTO `cmf_auth_rule` VALUES ('170', '1', 'portal', 'admin_url', 'portal/AdminArticle/recommend', '', '文章推荐', '');
INSERT INTO `cmf_auth_rule` VALUES ('171', '1', 'portal', 'admin_url', 'portal/AdminArticle/listOrder', '', '文章排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('172', '1', 'portal', 'admin_url', 'portal/AdminCategory/index', '', '分类管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('173', '1', 'portal', 'admin_url', 'portal/AdminCategory/add', '', '添加文章分类', '');
INSERT INTO `cmf_auth_rule` VALUES ('174', '1', 'portal', 'admin_url', 'portal/AdminCategory/addPost', '', '添加文章分类提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('175', '1', 'portal', 'admin_url', 'portal/AdminCategory/edit', '', '编辑文章分类', '');
INSERT INTO `cmf_auth_rule` VALUES ('176', '1', 'portal', 'admin_url', 'portal/AdminCategory/editPost', '', '编辑文章分类提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('177', '1', 'portal', 'admin_url', 'portal/AdminCategory/select', '', '文章分类选择对话框', '');
INSERT INTO `cmf_auth_rule` VALUES ('178', '1', 'portal', 'admin_url', 'portal/AdminCategory/listOrder', '', '文章分类排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('179', '1', 'portal', 'admin_url', 'portal/AdminCategory/toggle', '', '文章分类显示隐藏', '');
INSERT INTO `cmf_auth_rule` VALUES ('180', '1', 'portal', 'admin_url', 'portal/AdminCategory/delete', '', '删除文章分类', '');
INSERT INTO `cmf_auth_rule` VALUES ('181', '1', 'portal', 'admin_url', 'portal/AdminIndex/default', '', '文章管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('182', '1', 'portal', 'admin_url', 'portal/AdminPage/index', '', '页面管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('183', '1', 'portal', 'admin_url', 'portal/AdminPage/add', '', '添加页面', '');
INSERT INTO `cmf_auth_rule` VALUES ('184', '1', 'portal', 'admin_url', 'portal/AdminPage/addPost', '', '添加页面提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('185', '1', 'portal', 'admin_url', 'portal/AdminPage/edit', '', '编辑页面', '');
INSERT INTO `cmf_auth_rule` VALUES ('186', '1', 'portal', 'admin_url', 'portal/AdminPage/editPost', '', '编辑页面提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('187', '1', 'portal', 'admin_url', 'portal/AdminPage/delete', '', '删除页面', '');
INSERT INTO `cmf_auth_rule` VALUES ('188', '1', 'portal', 'admin_url', 'portal/AdminTag/index', '', '文章标签', '');
INSERT INTO `cmf_auth_rule` VALUES ('189', '1', 'portal', 'admin_url', 'portal/AdminTag/add', '', '添加文章标签', '');
INSERT INTO `cmf_auth_rule` VALUES ('190', '1', 'portal', 'admin_url', 'portal/AdminTag/addPost', '', '添加文章标签提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('191', '1', 'portal', 'admin_url', 'portal/AdminTag/upStatus', '', '更新标签状态', '');
INSERT INTO `cmf_auth_rule` VALUES ('192', '1', 'portal', 'admin_url', 'portal/AdminTag/delete', '', '删除文章标签', '');
INSERT INTO `cmf_auth_rule` VALUES ('193', '1', 'admin', 'admin_url', 'admin/Setting/configpri', '', '私密设置', '');
INSERT INTO `cmf_auth_rule` VALUES ('194', '1', 'admin', 'admin_url', 'admin/Setting/configpriPost', '', '设置', '');
INSERT INTO `cmf_auth_rule` VALUES ('195', '1', 'admin', 'admin_url', 'admin/course/default', '', '知识管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('196', '1', 'admin', 'admin_url', 'admin/courseclass/index', '', '科目分类', '');
INSERT INTO `cmf_auth_rule` VALUES ('197', '1', 'admin', 'admin_url', 'admin/courseclass/add', '', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('198', '1', 'admin', 'admin_url', 'admin/courseclass/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('199', '1', 'admin', 'admin_url', 'admin/courseclass/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('200', '1', 'admin', 'admin_url', 'admin/courseclass/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('201', '1', 'admin', 'admin_url', 'admin/courseclass/listOrder', '', '排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('202', '1', 'admin', 'admin_url', 'admin/courseclass/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('203', '1', 'admin', 'admin_url', 'admin/users/index', 'type=0', '用户列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('204', '1', 'admin', 'admin_url', 'admin/users/add', '', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('205', '1', 'admin', 'admin_url', 'admin/users/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('206', '1', 'admin', 'admin_url', 'admin/users/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('207', '1', 'admin', 'admin_url', 'admin/users/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('208', '1', 'admin', 'admin_url', 'admin/users/ban', '', '禁用', '');
INSERT INTO `cmf_auth_rule` VALUES ('209', '1', 'admin', 'admin_url', 'admin/users/cancelBan', '', '启用', '');
INSERT INTO `cmf_auth_rule` VALUES ('210', '1', 'admin', 'admin_url', 'admin/users/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('211', '1', 'admin', 'admin_url', 'admin/signory/index', '', '专长领域', '');
INSERT INTO `cmf_auth_rule` VALUES ('212', '1', 'admin', 'admin_url', 'admin/signory/add', '', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('213', '1', 'admin', 'admin_url', 'admin/signory/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('214', '1', 'admin', 'admin_url', 'admin/signory/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('215', '1', 'admin', 'admin_url', 'admin/signory/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('216', '1', 'admin', 'admin_url', 'admin/signory/listOrder', '', '排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('217', '1', 'admin', 'admin_url', 'admin/signory/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('218', '1', 'admin', 'admin_url', 'admin/identity/index', '', '身份标识', '');
INSERT INTO `cmf_auth_rule` VALUES ('219', '1', 'admin', 'admin_url', 'admin/identity/add', '', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('220', '1', 'admin', 'admin_url', 'admin/identity/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('221', '1', 'admin', 'admin_url', 'admin/identity/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('222', '1', 'admin', 'admin_url', 'admin/identity/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('223', '1', 'admin', 'admin_url', 'admin/identity/listOrder', '', '排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('224', '1', 'admin', 'admin_url', 'admin/identity/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('225', '1', 'admin', 'admin_url', 'admin/users/teacher', 'type=1', '教师列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('226', '1', 'admin', 'admin_url', 'admin/feedback/index', '', '反馈', '');
INSERT INTO `cmf_auth_rule` VALUES ('227', '1', 'admin', 'admin_url', 'admin/feedback/setstatus', '', '处理', '');
INSERT INTO `cmf_auth_rule` VALUES ('228', '1', 'admin', 'admin_url', 'admin/feedback/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('229', '1', 'admin', 'admin_url', 'admin/course/index', 'sort=1', '课程列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('230', '1', 'admin', 'admin_url', 'admin/course/add', 'sort=0', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('231', '1', 'admin', 'admin_url', 'admin/course/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('232', '1', 'admin', 'admin_url', 'admin/course/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('233', '1', 'admin', 'admin_url', 'admin/course/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('234', '1', 'admin', 'admin_url', 'admin/course/setstatus', '', '上下架', '');
INSERT INTO `cmf_auth_rule` VALUES ('235', '1', 'admin', 'admin_url', 'admin/course/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('236', '1', 'admin', 'admin_url', 'admin/course/contents', 'sort=0', '付费内容列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('237', '1', 'admin', 'admin_url', 'admin/course/live', 'sort=2', '语音大班课', '');
INSERT INTO `cmf_auth_rule` VALUES ('238', '1', 'admin', 'admin_url', 'admin/lession/index', '', '课时管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('239', '1', 'admin', 'admin_url', 'admin/lession/add', '', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('240', '1', 'admin', 'admin_url', 'admin/lession/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('241', '1', 'admin', 'admin_url', 'admin/lession/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('242', '1', 'admin', 'admin_url', 'admin/lession/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('243', '1', 'admin', 'admin_url', 'admin/lession/listOrder', '', '排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('244', '1', 'admin', 'admin_url', 'admin/lession/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('245', '1', 'admin', 'admin_url', 'admin/push/index', '', '系统消息', '');
INSERT INTO `cmf_auth_rule` VALUES ('246', '1', 'admin', 'admin_url', 'admin/push/add', '', '推送', '');
INSERT INTO `cmf_auth_rule` VALUES ('247', '1', 'admin', 'admin_url', 'admin/push/addPost', '', '推送提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('248', '1', 'admin', 'admin_url', 'admin/orders/index', '', '订单管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('249', '1', 'admin', 'admin_url', 'admin/orders/goods', '', '商品列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('250', '1', 'admin', 'admin_url', 'admin/orders/setSend', '', '标记发货', '');
INSERT INTO `cmf_auth_rule` VALUES ('251', '1', 'admin', 'admin_url', 'admin/Coursegrade/index', '', '学级分类', '');
INSERT INTO `cmf_auth_rule` VALUES ('252', '1', 'admin', 'admin_url', 'admin/Coursegrade/add', '', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('253', '1', 'admin', 'admin_url', 'admin/Coursegrade/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('254', '1', 'admin', 'admin_url', 'admin/Coursegrade/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('255', '1', 'admin', 'admin_url', 'admin/Coursegrade/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('256', '1', 'admin', 'admin_url', 'admin/Coursegrade/listOrder', '', '排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('257', '1', 'admin', 'admin_url', 'admin/Coursegrade/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('258', '1', 'admin', 'admin_url', 'admin/package/index', '', '套餐管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('259', '1', 'admin', 'admin_url', 'admin/package/add', '', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('260', '1', 'admin', 'admin_url', 'admin/package/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('261', '1', 'admin', 'admin_url', 'admin/package/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('262', '1', 'admin', 'admin_url', 'admin/package/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('263', '1', 'admin', 'admin_url', 'admin/package/listOrder', '', '排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('264', '1', 'admin', 'admin_url', 'admin/package/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('265', '1', 'admin', 'admin_url', 'admin/package/getCourse', '', '获取课程', '');
INSERT INTO `cmf_auth_rule` VALUES ('266', '1', 'admin', 'admin_url', 'admin/course/default3', '', ' 大班课列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('267', '1', 'admin', 'admin_url', 'admin/course/live_video', 'sort=3', '视频大班课', '');
INSERT INTO `cmf_auth_rule` VALUES ('268', '1', 'admin', 'admin_url', 'admin/question/default', '', '题库管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('269', '1', 'admin', 'admin_url', 'admin/questionclass/index', '', '题目分类', '');
INSERT INTO `cmf_auth_rule` VALUES ('270', '1', 'admin', 'admin_url', 'admin/questionclass/add', '', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('271', '1', 'admin', 'admin_url', 'admin/questionclass/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('272', '1', 'admin', 'admin_url', 'admin/questionclass/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('273', '1', 'admin', 'admin_url', 'admin/questionclass/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('274', '1', 'admin', 'admin_url', 'admin/questionclass/listOrder', '', '排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('275', '1', 'admin', 'admin_url', 'admin/questionclass/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('276', '1', 'admin', 'admin_url', 'admin/question/index', '', '题目列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('277', '1', 'admin', 'admin_url', 'admin/question/add', '', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('278', '1', 'admin', 'admin_url', 'admin/question/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('279', '1', 'admin', 'admin_url', 'admin/question/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('280', '1', 'admin', 'admin_url', 'admin/question/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('281', '1', 'admin', 'admin_url', 'admin/question/listOrder', '', '排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('282', '1', 'admin', 'admin_url', 'admin/question/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('286', '1', 'admin', 'admin_url', 'admin/tests/default', '', '考试管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('287', '1', 'admin', 'admin_url', 'admin/testscat/index', '', '试题分类', '');
INSERT INTO `cmf_auth_rule` VALUES ('288', '1', 'admin', 'admin_url', 'admin/testscat/add', '', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('289', '1', 'admin', 'admin_url', 'admin/testscat/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('290', '1', 'admin', 'admin_url', 'admin/testscat/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('291', '1', 'admin', 'admin_url', 'admin/testscat/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('292', '1', 'admin', 'admin_url', 'admin/testscat/listOrder', '', '排序', '');
INSERT INTO `cmf_auth_rule` VALUES ('293', '1', 'admin', 'admin_url', 'admin/testscat/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('294', '1', 'admin', 'admin_url', 'admin/tests/index', '', '试题列表', '');
INSERT INTO `cmf_auth_rule` VALUES ('295', '1', 'admin', 'admin_url', 'admin/tests/add', '', '添加', '');
INSERT INTO `cmf_auth_rule` VALUES ('296', '1', 'admin', 'admin_url', 'admin/tests/addPost', '', '添加提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('297', '1', 'admin', 'admin_url', 'admin/tests/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('298', '1', 'admin', 'admin_url', 'admin/tests/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('299', '1', 'admin', 'admin_url', 'admin/tests/getUserList', '', '获取老师', '');
INSERT INTO `cmf_auth_rule` VALUES ('300', '1', 'admin', 'admin_url', 'admin/tests/getCourse', '', '获取课程', '');
INSERT INTO `cmf_auth_rule` VALUES ('301', '1', 'admin', 'admin_url', 'admin/tests/setRelease', '', '发布', '');
INSERT INTO `cmf_auth_rule` VALUES ('302', '1', 'admin', 'admin_url', 'admin/tests/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('303', '1', 'admin', 'admin_url', 'admin/tests/topic', '', '添加题目', '');
INSERT INTO `cmf_auth_rule` VALUES ('304', '1', 'admin', 'admin_url', 'admin/tests/topicPost', '', '题目提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('305', '1', 'admin', 'admin_url', 'admin/agent/index', '', '推广管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('306', '1', 'admin', 'admin_url', 'admin/agent/del', '', '删除', '');
INSERT INTO `cmf_auth_rule` VALUES ('307', '1', 'admin', 'admin_url', 'admin/auth/index', '', '认证管理', '');
INSERT INTO `cmf_auth_rule` VALUES ('308', '1', 'admin', 'admin_url', 'admin/auth/edit', '', '编辑', '');
INSERT INTO `cmf_auth_rule` VALUES ('309', '1', 'admin', 'admin_url', 'admin/auth/editPost', '', '编辑提交', '');
INSERT INTO `cmf_auth_rule` VALUES ('310', '1', 'admin', 'admin_url', 'admin/auth/del', '', '删除', '');

-- ----------------------------
-- Table structure for `cmf_cart`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_cart`;
CREATE TABLE `cmf_cart` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型，0课程1套餐',
  `typeid` bigint(20) NOT NULL DEFAULT '0' COMMENT '类型对应的ID',
  `isselect` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否选择，0否1是',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_cart
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_course`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_course`;
CREATE TABLE `cmf_course` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `sort` int(1) NOT NULL DEFAULT '0' COMMENT '类别，0内容1课程2语音直播3视频直播',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '内容形式，1图文2视频3音频；\r\n语音直播形式，1语音ppt2语音视频3语音音频\r\n视频直播形式，5视频直播',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `thumb` varchar(255) NOT NULL DEFAULT '' COMMENT '封面',
  `des` varchar(255) NOT NULL DEFAULT '' COMMENT '简介',
  `gradeid` int(11) NOT NULL DEFAULT '0' COMMENT '学级ID',
  `classid` int(11) NOT NULL DEFAULT '0' COMMENT '分类ID',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '添加时间',
  `uptime` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新时间',
  `paytype` tinyint(1) NOT NULL DEFAULT '0' COMMENT '获取形式，0免费1收费2密码',
  `payval` varchar(255) NOT NULL DEFAULT '' COMMENT '获取形式对应值',
  `deduct_money` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '可抵扣金额',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态，-2被下架-1暂时下架0审核中1上架中2定时上架',
  `shelvestime` bigint(20) NOT NULL DEFAULT '0' COMMENT '上架时间',
  `info` longtext COMMENT '内容介绍',
  `content` longtext COMMENT '内容详情',
  `trialtype` tinyint(1) NOT NULL DEFAULT '0' COMMENT '试学方式，0无1链接2时间进度',
  `trialval` varchar(255) NOT NULL DEFAULT '' COMMENT '试学方式对应值',
  `mode` tinyint(1) NOT NULL DEFAULT '0' COMMENT '课程模式，0自有1解锁',
  `lessons` int(11) NOT NULL DEFAULT '0' COMMENT '课时数',
  `stars` int(11) NOT NULL DEFAULT '0' COMMENT '总星数',
  `comments` int(11) NOT NULL DEFAULT '0' COMMENT '评价数',
  `star` decimal(10,1) NOT NULL DEFAULT '0.0' COMMENT '星级',
  `url` varchar(255) NOT NULL DEFAULT '' COMMENT '视频或语音链接',
  `views` int(11) NOT NULL DEFAULT '0' COMMENT '学习过的人数',
  `islive` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否在直播，0否1是',
  `starttime` bigint(20) NOT NULL DEFAULT '0' COMMENT '直播时间',
  `endtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '结束时间',
  `intr` varchar(255) NOT NULL DEFAULT '' COMMENT '听课指南',
  `ispush` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否推送，0否1是',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  `ismaterial` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否有教材,0否1是',
  `tutoruid` bigint(20) NOT NULL DEFAULT '0' COMMENT '辅导老师ID',
  `isshup` tinyint(1) NOT NULL DEFAULT '0' COMMENT '禁言，0否1是',
  `livemode` tinyint(1) NOT NULL DEFAULT '0' COMMENT '直播模式，0摄像头1ppt2共享屏幕',
  `pptindex` int(11) DEFAULT '0' COMMENT 'ppt当前序号',
  `chatopen` tinyint(1) NOT NULL DEFAULT '0' COMMENT '开放交流区 0否1是',
  PRIMARY KEY (`id`),
  KEY `status_time` (`status`,`shelvestime`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_course
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_course_class`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_course_class`;
CREATE TABLE `cmf_course_class` (
  `id` int(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `thumb` varchar(255) NOT NULL DEFAULT '' COMMENT '图标',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_course_class
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_course_com`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_course_com`;
CREATE TABLE `cmf_course_com` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `sort` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类别，0内容1课程2直播',
  `courseid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `lessons` int(11) NOT NULL DEFAULT '0' COMMENT '课时数',
  `content` varchar(255) NOT NULL DEFAULT '' COMMENT '内容',
  `star` int(11) NOT NULL DEFAULT '0' COMMENT '星级',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_course_com
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_course_grade`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_course_grade`;
CREATE TABLE `cmf_course_grade` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `pid` bigint(20) NOT NULL DEFAULT '0' COMMENT '父级ID',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  `classids` varchar(255) NOT NULL DEFAULT '' COMMENT '分类ID 格式：[1],[2]',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_course_grade
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_course_lesson`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_course_lesson`;
CREATE TABLE `cmf_course_lesson` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `courseid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `pid` bigint(20) NOT NULL DEFAULT '0' COMMENT '上级ID',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '形式，1图文2视频3音频4语音ppt5语音视频6语音音频7授课直播（白板）8视频直播',
  `url` varchar(255) NOT NULL DEFAULT '' COMMENT '链接',
  `des` varchar(255) NOT NULL DEFAULT '' COMMENT '简介',
  `content` longtext COMMENT '图文内容',
  `duration` int(11) NOT NULL DEFAULT '0' COMMENT '时长s',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  `istrial` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否试学0否1是',
  `starttime` bigint(20) NOT NULL DEFAULT '0' COMMENT '直播开播时间',
  `endtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '预计结束时间',
  `islive` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否直播，0否1是2已结束',
  `uuid` varchar(255) NOT NULL DEFAULT '' COMMENT 'netless白板房间标识符uuid',
  `roomtoken` text COMMENT 'netless白板房间token',
  `file_uuid` varchar(255) NOT NULL DEFAULT '' COMMENT '最后一个文档转图片的uuid',
  `isshup` tinyint(1) NOT NULL DEFAULT '0' COMMENT '禁言，0否1是',
  `intr` varchar(255) NOT NULL DEFAULT '' COMMENT '听课指南',
  `pptindex` int(11) DEFAULT '0' COMMENT 'ppt当前序号',
  `resourceid` text COMMENT '声网云录制resourceid',
  `sid` varchar(255) NOT NULL DEFAULT '' COMMENT '声网云录制sid',
  `chatopen` tinyint(1) NOT NULL DEFAULT '0' COMMENT '开放交流区 0否1是',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_course_lesson
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_course_package`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_course_package`;
CREATE TABLE `cmf_course_package` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `gradeid` bigint(20) NOT NULL DEFAULT '0' COMMENT '学级ID',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '标题',
  `des` varchar(255) NOT NULL DEFAULT '' COMMENT '描述',
  `thumb` varchar(255) NOT NULL DEFAULT '' COMMENT '封面',
  `price` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '价格',
  `deduct_money` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '可抵扣金额',
  `content` longtext COMMENT '内容',
  `courseids` varchar(255) NOT NULL DEFAULT '' COMMENT '课程ID，格式 [1],[2]',
  `nums` int(11) NOT NULL DEFAULT '0' COMMENT '课程数量',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_course_package
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_course_package_users`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_course_package_users`;
CREATE TABLE `cmf_course_package_users` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `packageid` bigint(20) NOT NULL DEFAULT '0' COMMENT '套餐ID',
  `money` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '价格',
  `orderno` varchar(255) NOT NULL DEFAULT '' COMMENT '订单号',
  `trade_no` varchar(255) NOT NULL DEFAULT '' COMMENT '三方订单号',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '支付状态，0待支付1已支付',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '支付方式，1支付宝2微信',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '添加时间',
  `paytime` bigint(20) NOT NULL DEFAULT '0' COMMENT '支付时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_course_package_users
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_course_ppt`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_course_ppt`;
CREATE TABLE `cmf_course_ppt` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '讲师ID',
  `courseid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `lessonid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课时ID',
  `thumb` varchar(255) NOT NULL DEFAULT '' COMMENT '图片',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_course_ppt
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_course_users`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_course_users`;
CREATE TABLE `cmf_course_users` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `sort` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类别，0内容1课程2直播',
  `paytype` tinyint(1) NOT NULL DEFAULT '0' COMMENT '获取形式，0免费1收费2密码',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '支付方式，1支付宝2微信',
  `courseid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `liveuid` bigint(20) NOT NULL DEFAULT '0' COMMENT '讲师ID',
  `money` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '价格',
  `deduct_money` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '抵扣金额',
  `integral` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '使用积分数',
  `orderno` varchar(255) NOT NULL DEFAULT '' COMMENT '订单号',
  `trade_no` varchar(255) NOT NULL DEFAULT '' COMMENT '三方订单号',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '支付状态，0待支付1已支付',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '添加时间',
  `paytime` bigint(20) NOT NULL DEFAULT '0' COMMENT '支付时间',
  `step` tinyint(1) NOT NULL DEFAULT '0' COMMENT '学习状态，0未学习1学习中2已学完',
  `lessons` int(11) NOT NULL DEFAULT '0' COMMENT '学习过的课时数',
  `ispack` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否套餐0否1是',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_course_users
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_course_views`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_course_views`;
CREATE TABLE `cmf_course_views` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `sort` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类别，0内容1课程2直播',
  `courseid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `lessonid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课时ID',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_course_views
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_course_ware`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_course_ware`;
CREATE TABLE `cmf_course_ware` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '讲师ID',
  `courseid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `lessonid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课时ID',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `url` varchar(255) NOT NULL DEFAULT '' COMMENT '链接',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  `size` varchar(255) NOT NULL DEFAULT '' COMMENT '文件大小',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_course_ware
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_feedback`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_feedback`;
CREATE TABLE `cmf_feedback` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `thumb` varchar(255) NOT NULL DEFAULT '' COMMENT '图片',
  `content` varchar(255) NOT NULL DEFAULT '' COMMENT '内容',
  `model` varchar(255) NOT NULL DEFAULT '' COMMENT '设备',
  `system` varchar(255) NOT NULL DEFAULT '' COMMENT '系统',
  `version` varchar(255) NOT NULL DEFAULT '' COMMENT 'App版本号',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '提交时间',
  `uptime` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新时间',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态，0处理中1已处理',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_feedback
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_hook`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_hook`;
CREATE TABLE `cmf_hook` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '钩子类型(1:系统钩子;2:应用钩子;3:模板钩子;4:后台模板钩子)',
  `once` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否只允许一个插件运行(0:多个;1:一个)',
  `name` varchar(50) NOT NULL DEFAULT '' COMMENT '钩子名称',
  `hook` varchar(50) NOT NULL DEFAULT '' COMMENT '钩子',
  `app` varchar(15) NOT NULL DEFAULT '' COMMENT '应用名(只有应用钩子才用)',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT '描述',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=86 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='系统钩子表';

-- ----------------------------
-- Records of cmf_hook
-- ----------------------------
INSERT INTO `cmf_hook` VALUES ('2', '1', '0', '应用开始', 'app_begin', 'cmf', '应用开始');
INSERT INTO `cmf_hook` VALUES ('3', '1', '0', '模块初始化', 'module_init', 'cmf', '模块初始化');
INSERT INTO `cmf_hook` VALUES ('4', '1', '0', '控制器开始', 'action_begin', 'cmf', '控制器开始');
INSERT INTO `cmf_hook` VALUES ('5', '1', '0', '视图输出过滤', 'view_filter', 'cmf', '视图输出过滤');
INSERT INTO `cmf_hook` VALUES ('6', '1', '0', '应用结束', 'app_end', 'cmf', '应用结束');
INSERT INTO `cmf_hook` VALUES ('7', '1', '0', '日志write方法', 'log_write', 'cmf', '日志write方法');
INSERT INTO `cmf_hook` VALUES ('8', '1', '0', '输出结束', 'response_end', 'cmf', '输出结束');
INSERT INTO `cmf_hook` VALUES ('9', '1', '0', '后台控制器初始化', 'admin_init', 'cmf', '后台控制器初始化');
INSERT INTO `cmf_hook` VALUES ('10', '1', '0', '前台控制器初始化', 'home_init', 'cmf', '前台控制器初始化');
INSERT INTO `cmf_hook` VALUES ('11', '1', '1', '发送手机验证码', 'send_mobile_verification_code', 'cmf', '发送手机验证码');
INSERT INTO `cmf_hook` VALUES ('12', '3', '0', '模板 body标签开始', 'body_start', '', '模板 body标签开始');
INSERT INTO `cmf_hook` VALUES ('13', '3', '0', '模板 head标签结束前', 'before_head_end', '', '模板 head标签结束前');
INSERT INTO `cmf_hook` VALUES ('14', '3', '0', '模板底部开始', 'footer_start', '', '模板底部开始');
INSERT INTO `cmf_hook` VALUES ('15', '3', '0', '模板底部开始之前', 'before_footer', '', '模板底部开始之前');
INSERT INTO `cmf_hook` VALUES ('16', '3', '0', '模板底部结束之前', 'before_footer_end', '', '模板底部结束之前');
INSERT INTO `cmf_hook` VALUES ('17', '3', '0', '模板 body 标签结束之前', 'before_body_end', '', '模板 body 标签结束之前');
INSERT INTO `cmf_hook` VALUES ('18', '3', '0', '模板左边栏开始', 'left_sidebar_start', '', '模板左边栏开始');
INSERT INTO `cmf_hook` VALUES ('19', '3', '0', '模板左边栏结束之前', 'before_left_sidebar_end', '', '模板左边栏结束之前');
INSERT INTO `cmf_hook` VALUES ('20', '3', '0', '模板右边栏开始', 'right_sidebar_start', '', '模板右边栏开始');
INSERT INTO `cmf_hook` VALUES ('21', '3', '0', '模板右边栏结束之前', 'before_right_sidebar_end', '', '模板右边栏结束之前');
INSERT INTO `cmf_hook` VALUES ('22', '3', '1', '评论区', 'comment', '', '评论区');
INSERT INTO `cmf_hook` VALUES ('23', '3', '1', '留言区', 'guestbook', '', '留言区');
INSERT INTO `cmf_hook` VALUES ('24', '2', '0', '后台首页仪表盘', 'admin_dashboard', 'admin', '后台首页仪表盘');
INSERT INTO `cmf_hook` VALUES ('25', '4', '0', '后台模板 head标签结束前', 'admin_before_head_end', '', '后台模板 head标签结束前');
INSERT INTO `cmf_hook` VALUES ('26', '4', '0', '后台模板 body 标签结束之前', 'admin_before_body_end', '', '后台模板 body 标签结束之前');
INSERT INTO `cmf_hook` VALUES ('27', '2', '0', '后台登录页面', 'admin_login', 'admin', '后台登录页面');
INSERT INTO `cmf_hook` VALUES ('28', '1', '1', '前台模板切换', 'switch_theme', 'cmf', '前台模板切换');
INSERT INTO `cmf_hook` VALUES ('29', '3', '0', '主要内容之后', 'after_content', '', '主要内容之后');
INSERT INTO `cmf_hook` VALUES ('32', '2', '1', '获取上传界面', 'fetch_upload_view', 'user', '获取上传界面');
INSERT INTO `cmf_hook` VALUES ('33', '3', '0', '主要内容之前', 'before_content', 'cmf', '主要内容之前');
INSERT INTO `cmf_hook` VALUES ('34', '1', '0', '日志写入完成', 'log_write_done', 'cmf', '日志写入完成');
INSERT INTO `cmf_hook` VALUES ('35', '1', '1', '后台模板切换', 'switch_admin_theme', 'cmf', '后台模板切换');
INSERT INTO `cmf_hook` VALUES ('36', '1', '1', '验证码图片', 'captcha_image', 'cmf', '验证码图片');
INSERT INTO `cmf_hook` VALUES ('37', '2', '1', '后台模板设计界面', 'admin_theme_design_view', 'admin', '后台模板设计界面');
INSERT INTO `cmf_hook` VALUES ('38', '2', '1', '后台设置网站信息界面', 'admin_setting_site_view', 'admin', '后台设置网站信息界面');
INSERT INTO `cmf_hook` VALUES ('39', '2', '1', '后台清除缓存界面', 'admin_setting_clear_cache_view', 'admin', '后台清除缓存界面');
INSERT INTO `cmf_hook` VALUES ('40', '2', '1', '后台导航管理界面', 'admin_nav_index_view', 'admin', '后台导航管理界面');
INSERT INTO `cmf_hook` VALUES ('41', '2', '1', '后台友情链接管理界面', 'admin_link_index_view', 'admin', '后台友情链接管理界面');
INSERT INTO `cmf_hook` VALUES ('42', '2', '1', '后台幻灯片管理界面', 'admin_slide_index_view', 'admin', '后台幻灯片管理界面');
INSERT INTO `cmf_hook` VALUES ('43', '2', '1', '后台管理员列表界面', 'admin_user_index_view', 'admin', '后台管理员列表界面');
INSERT INTO `cmf_hook` VALUES ('44', '2', '1', '后台角色管理界面', 'admin_rbac_index_view', 'admin', '后台角色管理界面');
INSERT INTO `cmf_hook` VALUES ('49', '2', '1', '用户管理本站用户列表界面', 'user_admin_index_view', 'user', '用户管理本站用户列表界面');
INSERT INTO `cmf_hook` VALUES ('50', '2', '1', '资源管理列表界面', 'user_admin_asset_index_view', 'user', '资源管理列表界面');
INSERT INTO `cmf_hook` VALUES ('51', '2', '1', '用户管理第三方用户列表界面', 'user_admin_oauth_index_view', 'user', '用户管理第三方用户列表界面');
INSERT INTO `cmf_hook` VALUES ('52', '2', '1', '后台首页界面', 'admin_index_index_view', 'admin', '后台首页界面');
INSERT INTO `cmf_hook` VALUES ('53', '2', '1', '后台回收站界面', 'admin_recycle_bin_index_view', 'admin', '后台回收站界面');
INSERT INTO `cmf_hook` VALUES ('54', '2', '1', '后台菜单管理界面', 'admin_menu_index_view', 'admin', '后台菜单管理界面');
INSERT INTO `cmf_hook` VALUES ('55', '2', '1', '后台自定义登录是否开启钩子', 'admin_custom_login_open', 'admin', '后台自定义登录是否开启钩子');
INSERT INTO `cmf_hook` VALUES ('64', '2', '1', '后台幻灯片页面列表界面', 'admin_slide_item_index_view', 'admin', '后台幻灯片页面列表界面');
INSERT INTO `cmf_hook` VALUES ('65', '2', '1', '后台幻灯片页面添加界面', 'admin_slide_item_add_view', 'admin', '后台幻灯片页面添加界面');
INSERT INTO `cmf_hook` VALUES ('66', '2', '1', '后台幻灯片页面编辑界面', 'admin_slide_item_edit_view', 'admin', '后台幻灯片页面编辑界面');
INSERT INTO `cmf_hook` VALUES ('67', '2', '1', '后台管理员添加界面', 'admin_user_add_view', 'admin', '后台管理员添加界面');
INSERT INTO `cmf_hook` VALUES ('68', '2', '1', '后台管理员编辑界面', 'admin_user_edit_view', 'admin', '后台管理员编辑界面');
INSERT INTO `cmf_hook` VALUES ('69', '2', '1', '后台角色添加界面', 'admin_rbac_role_add_view', 'admin', '后台角色添加界面');
INSERT INTO `cmf_hook` VALUES ('70', '2', '1', '后台角色编辑界面', 'admin_rbac_role_edit_view', 'admin', '后台角色编辑界面');
INSERT INTO `cmf_hook` VALUES ('71', '2', '1', '后台角色授权界面', 'admin_rbac_authorize_view', 'admin', '后台角色授权界面');
INSERT INTO `cmf_hook` VALUES ('72', '2', '0', '文章显示之前', 'portal_before_assign_article', 'portal', '文章显示之前');
INSERT INTO `cmf_hook` VALUES ('73', '2', '0', '后台文章保存之后', 'portal_admin_after_save_article', 'portal', '后台文章保存之后');
INSERT INTO `cmf_hook` VALUES ('74', '2', '1', '门户后台文章管理列表界面', 'portal_admin_article_index_view', 'portal', '门户后台文章管理列表界面');
INSERT INTO `cmf_hook` VALUES ('75', '2', '1', '门户后台文章添加界面', 'portal_admin_article_add_view', 'portal', '门户后台文章添加界面');
INSERT INTO `cmf_hook` VALUES ('76', '2', '1', '门户后台文章编辑界面', 'portal_admin_article_edit_view', 'portal', '门户后台文章编辑界面');
INSERT INTO `cmf_hook` VALUES ('77', '2', '1', '门户后台文章分类管理列表界面', 'portal_admin_category_index_view', 'portal', '门户后台文章分类管理列表界面');
INSERT INTO `cmf_hook` VALUES ('78', '2', '1', '门户后台文章分类添加界面', 'portal_admin_category_add_view', 'portal', '门户后台文章分类添加界面');
INSERT INTO `cmf_hook` VALUES ('79', '2', '1', '门户后台文章分类编辑界面', 'portal_admin_category_edit_view', 'portal', '门户后台文章分类编辑界面');
INSERT INTO `cmf_hook` VALUES ('80', '2', '1', '门户后台页面管理列表界面', 'portal_admin_page_index_view', 'portal', '门户后台页面管理列表界面');
INSERT INTO `cmf_hook` VALUES ('81', '2', '1', '门户后台页面添加界面', 'portal_admin_page_add_view', 'portal', '门户后台页面添加界面');
INSERT INTO `cmf_hook` VALUES ('82', '2', '1', '门户后台页面编辑界面', 'portal_admin_page_edit_view', 'portal', '门户后台页面编辑界面');
INSERT INTO `cmf_hook` VALUES ('83', '2', '1', '门户后台文章标签管理列表界面', 'portal_admin_tag_index_view', 'portal', '门户后台文章标签管理列表界面');
INSERT INTO `cmf_hook` VALUES ('84', '4', '0', '门户后台文章添加编辑界面右侧栏', 'portal_admin_article_edit_view_right_sidebar', 'portal', '门户后台文章添加编辑界面右侧栏');
INSERT INTO `cmf_hook` VALUES ('85', '4', '0', '门户后台文章添加编辑界面主要内容', 'portal_admin_article_edit_view_main', 'portal', '门户后台文章添加编辑界面主要内容');

-- ----------------------------
-- Table structure for `cmf_hook_plugin`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_hook_plugin`;
CREATE TABLE `cmf_hook_plugin` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `list_order` float NOT NULL DEFAULT '10000' COMMENT '排序',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT '状态(0:禁用,1:启用)',
  `hook` varchar(50) NOT NULL DEFAULT '' COMMENT '钩子名',
  `plugin` varchar(50) NOT NULL DEFAULT '' COMMENT '插件',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='系统钩子插件表';

-- ----------------------------
-- Records of cmf_hook_plugin
-- ----------------------------
INSERT INTO `cmf_hook_plugin` VALUES ('1', '10000', '1', 'fetch_upload_view', 'Qiniu');

-- ----------------------------
-- Table structure for `cmf_identity`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_identity`;
CREATE TABLE `cmf_identity` (
  `id` int(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `colour` varchar(255) NOT NULL DEFAULT '' COMMENT '颜色',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_identity
-- ----------------------------
INSERT INTO `cmf_identity` VALUES ('1', '资深讲师', '#0eb384', '10000');
INSERT INTO `cmf_identity` VALUES ('2', '教育总监', '#8419ff', '10000');
INSERT INTO `cmf_identity` VALUES ('3', '特约讲师', '#2a53bd', '10000');
INSERT INTO `cmf_identity` VALUES ('5', '教育专家', '#db64c9', '10000');
INSERT INTO `cmf_identity` VALUES ('6', '特级教师', '#ebdd41', '10000');
INSERT INTO `cmf_identity` VALUES ('7', '金牌教授', '#28aeb8', '10000');

-- ----------------------------
-- Table structure for `cmf_integral_record`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_integral_record`;
CREATE TABLE `cmf_integral_record` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型 1收入2支出',
  `action` tinyint(1) NOT NULL DEFAULT '0' COMMENT '方式  1消费返还2推广返还3购买课程抵扣 4订单超时退还',
  `integral` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '积分数',
  `money` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '金额',
  `actionid` bigint(20) NOT NULL DEFAULT '0' COMMENT '方式对应ID',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_integral_record
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_ip_garde`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_ip_garde`;
CREATE TABLE `cmf_ip_garde` (
  `ip` varchar(20) NOT NULL DEFAULT 'ip地址',
  `gardeid` int(11) DEFAULT '0' COMMENT '年级id',
  PRIMARY KEY (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of cmf_ip_garde
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_link`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_link`;
CREATE TABLE `cmf_link` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态;1:显示;0:不显示',
  `rating` int(11) NOT NULL DEFAULT '0' COMMENT '友情链接评级',
  `list_order` float NOT NULL DEFAULT '10000' COMMENT '排序',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT '友情链接描述',
  `url` varchar(255) NOT NULL DEFAULT '' COMMENT '友情链接地址',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '友情链接名称',
  `image` varchar(100) NOT NULL DEFAULT '' COMMENT '友情链接图标',
  `target` varchar(10) NOT NULL DEFAULT '' COMMENT '友情链接打开方式',
  `rel` varchar(50) NOT NULL DEFAULT '' COMMENT '链接与网站的关系',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `status` (`status`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='友情链接表';

-- ----------------------------
-- Records of cmf_link
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_live_chat`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_live_chat`;
CREATE TABLE `cmf_live_chat` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `liveuid` bigint(20) NOT NULL DEFAULT '0' COMMENT '讲师ID',
  `courseid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `lessonid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课时ID',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型，0文字1语音',
  `content` varchar(255) NOT NULL DEFAULT '' COMMENT '内容',
  `url` varchar(255) NOT NULL DEFAULT '' COMMENT '链接',
  `length` int(11) NOT NULL DEFAULT '0' COMMENT '音频时长 秒',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  `toid` bigint(20) NOT NULL DEFAULT '0' COMMENT '回复对象chatid',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '形式，0普通1提问2回答',
  `user_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '发布人身份，0学生1讲师2辅导',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_live_chat
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_live_kick`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_live_kick`;
CREATE TABLE `cmf_live_kick` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `liveuid` bigint(20) NOT NULL DEFAULT '0' COMMENT '讲师ID',
  `courseid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `lessonid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课时ID',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  `operateuid` bigint(20) NOT NULL DEFAULT '0' COMMENT '操作人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_live_kick
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_live_shutup`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_live_shutup`;
CREATE TABLE `cmf_live_shutup` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `liveuid` bigint(20) NOT NULL DEFAULT '0' COMMENT '讲师ID',
  `courseid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `lessonid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课时ID',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  `operateuid` bigint(20) NOT NULL DEFAULT '0' COMMENT '操作人ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_live_shutup
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_message`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_message`;
CREATE TABLE `cmf_message` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型，0系统消息1课程动态2讲师动态',
  `touid` longtext COMMENT '推送对象',
  `adminid` bigint(20) NOT NULL DEFAULT '0' COMMENT '管理员ID',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '管理员名称',
  `content` varchar(255) NOT NULL DEFAULT '' COMMENT '内容',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  `ip` bigint(20) NOT NULL DEFAULT '0' COMMENT 'IP地址',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_message
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_option`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_option`;
CREATE TABLE `cmf_option` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `autoload` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '是否自动加载;1:自动加载;0:不自动加载',
  `option_name` varchar(64) NOT NULL DEFAULT '' COMMENT '配置名',
  `option_value` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci COMMENT '配置值',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `option_name` (`option_name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='全站配置表';

-- ----------------------------
-- Records of cmf_option
-- ----------------------------
INSERT INTO `cmf_option` VALUES ('1', '1', 'site_info', '{\"site_name\":\"\\u4e07\\u5cb3\\u8bfe\\u5802\",\"site_seo_title\":\"\",\"site_seo_keywords\":\"\",\"site_seo_description\":\"\",\"site_icp\":\"\",\"site_gwa\":\"\",\"site_admin_email\":\"\",\"site_analytics\":\"\",\"site_url\":\"\",\"copyright\":\" \\u5c71\\u4e1c\\u4e07\\u5cb3\\u4fe1\\u606f\\u79d1\\u6280\\u6709\\u9650\\u516c\\u53f8\",\"apk_ver\":\"\",\"apk_url\":\"\",\"apk_des\":\"\\u7248\\u672c\\u66f4\\u65b0\\uff0c\\u662f\\u5426\\u524d\\u5f80\\u66f4\\u65b0\\uff1f\",\"ipa_ver\":\"\",\"ios_shelves\":\"\",\"ipa_url\":\"\",\"ipa_des\":\"\\u7248\\u672c\\u66f4\\u65b0\\uff0c\\u662f\\u5426\\u524d\\u5f80\\u66f4\\u65b0\\uff1f\",\"qr_url\":\"\",\"site_phone\":\"\",\"wx_url\":\"\",\"share_title\":\"\\u4e07\\u5cb3\\u79d1\\u6280\",\"share_des\":\"\\u4e07\\u5cb3\\u79d1\\u6280\\u4e13\\u6ce8\\u5728\\u7ebf\\u6559\\u80b2\\u7cfb\\u7edf\",\"share_img\":\"\"}');
INSERT INTO `cmf_option` VALUES ('2', '1', 'cmf_settings', '{\"open_registration\":\"0\",\"banned_usernames\":\"\"}');
INSERT INTO `cmf_option` VALUES ('3', '1', 'cdn_settings', '{\"cdn_static_root\":\"\"}');
INSERT INTO `cmf_option` VALUES ('4', '1', 'admin_settings', '{\"admin_password\":\"\",\"admin_theme\":\"admin_htcyltd\",\"admin_style\":\"flatadmin\"}');
INSERT INTO `cmf_option` VALUES ('5', '1', 'storage', '{\"storages\":{\"Qiniu\":{\"name\":\"\\u4e03\\u725b\\u4e91\\u5b58\\u50a8\",\"driver\":\"\\\\plugins\\\\qiniu\\\\lib\\\\Qiniu\"}},\"type\":\"Qiniu\"}');
INSERT INTO `cmf_option` VALUES ('6', '1', 'upload_setting', '{\"max_files\":\"20\",\"chunk_size\":\"512\",\"file_types\":{\"image\":{\"upload_max_filesize\":\"10240\",\"extensions\":\"jpg,jpeg,png,gif,bmp4\"},\"video\":{\"upload_max_filesize\":\"10240000\",\"extensions\":\"mp4\"},\"audio\":{\"upload_max_filesize\":\"1024000\",\"extensions\":\"mp3,wma,wav\"},\"file\":{\"upload_max_filesize\":\"1024000\",\"extensions\":\"txt,pdf,doc,docx,xls,xlsx,ppt,pptx,zip,rar,php\"}}}');
INSERT INTO `cmf_option` VALUES ('7', '1', 'configpri', '{\"sendcode_switch\":\"0\",\"ccp_sid\":\"\",\"ccp_token\":\"\",\"ccp_appid\":\"\",\"ccp_tempid\":\"\",\"aliapp_switch\":\"1\",\"aliapp_partner\":\"\",\"aliapp_seller_id\":\"\",\"aliapp_key\":\"\",\"wx_switch\":\"1\",\"wx_appid\":\"\",\"wx_appsecret\":\"\",\"wx_mchid\":\"\",\"wx_key\":\"\",\"ios_switch\":\"0\",\"login_type\":\"QQ,wx\",\"share_type\":\"qq,wx\",\"chatserver\":\"\",\"jpush_sandbox\":\"0\",\"jpush_key\":\"\",\"jpush_secret\":\"\",\"sound_appid\":\"\",\"netless_sdktoken\":\"\",\"wx_appid_pc\":\"\",\"wx_appsecret_pc\":\"\",\"tx_api_secretid\":\"\",\"tx_api_secretkey\":\"\",\"tx_sms_sdkappid\":\"\",\"tx_sms_sign\":\"\",\"tx_sms_tempid\":\"\",\"agora_api_id\":\"\",\"agora_api_key\":\"\",\"netless_appid\":\"\",\"app_key\":\"\",\"app_secret\":\"\",\"alipc_switch\":\"1\",\"wxpc_switch\":\"1\",\"aliapp_check\":\"\",\"pc_wx_appid\":\"\",\"pc_wx_appsecret\":\"\",\"pc_wx_mchid\":\"\",\"pc_wx_key\":\"\",\"agent_switch\":\"1\",\"agent_type\":\"1\",\"sharetrace_key\":\"\",\"integral_rate\":\"100\",\"integral_de\":\"1\",\"agent_status\":\"3\",\"agent_money\":\"0\",\"agent_way\":\"0\",\"agent_rate\":\"100\",\"question_0\":\"1\",\"question_1\":\"2\",\"question_2\":\"3\",\"question_5\":\"4\",\"question_4\":\"5\"}');

-- ----------------------------
-- Table structure for `cmf_orders`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_orders`;
CREATE TABLE `cmf_orders` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `money` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '价格',
  `money_total` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '总价',
  `deduct_money` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '抵扣金额',
  `integral` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '使用积分数',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '支付方式，1支付宝2微信',
  `orderno` varchar(255) NOT NULL DEFAULT '' COMMENT '订单号',
  `trade_no` varchar(255) NOT NULL DEFAULT '' COMMENT '三方订单号',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '支付状态，0待支付1已支付',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '添加时间',
  `paytime` bigint(20) NOT NULL DEFAULT '0' COMMENT '支付时间',
  `addr_name` varchar(255) NOT NULL DEFAULT '' COMMENT '收货人',
  `addr_mobile` varchar(255) NOT NULL DEFAULT '' COMMENT '联系方式',
  `addr_province` varchar(255) NOT NULL DEFAULT '' COMMENT '省',
  `addr_city` varchar(255) NOT NULL DEFAULT '' COMMENT '市',
  `addr_area` varchar(255) NOT NULL DEFAULT '' COMMENT '区',
  `addr` varchar(255) NOT NULL DEFAULT '' COMMENT '详细地址',
  `issend` tinyint(1) NOT NULL DEFAULT '-1' COMMENT '是否发货-1不需要0否1是',
  `sendtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '发货时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_orders
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_orders_good`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_orders_good`;
CREATE TABLE `cmf_orders_good` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `orderno` varchar(255) NOT NULL DEFAULT '' COMMENT '订单号',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型，0课程1套餐',
  `typeid` bigint(20) NOT NULL DEFAULT '0' COMMENT '类型对应的ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_orders_good
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_plugin`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_plugin`;
CREATE TABLE `cmf_plugin` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `type` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '插件类型;1:网站;8:微信',
  `has_admin` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否有后台管理,0:没有;1:有',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态;1:开启;0:禁用',
  `create_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '插件安装时间',
  `name` varchar(50) NOT NULL DEFAULT '' COMMENT '插件标识名,英文字母(惟一)',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '插件名称',
  `demo_url` varchar(50) NOT NULL DEFAULT '' COMMENT '演示地址，带协议',
  `hooks` varchar(255) NOT NULL DEFAULT '' COMMENT '实现的钩子;以“,”分隔',
  `author` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '插件作者',
  `author_url` varchar(50) NOT NULL DEFAULT '' COMMENT '作者网站链接',
  `version` varchar(20) NOT NULL DEFAULT '' COMMENT '插件版本号',
  `description` varchar(255) NOT NULL COMMENT '插件描述',
  `config` text COMMENT '插件配置',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='插件表';

-- ----------------------------
-- Records of cmf_plugin
-- ----------------------------
INSERT INTO `cmf_plugin` VALUES ('1', '1', '0', '1', '0', 'Qiniu', '七牛云存储', '', '', 'ThinkCMF', '', '1.0.1', 'ThinkCMF七牛专享优惠码:507670e8', '{\"accessKey\":\"\",\"secretKey\":\"\",\"protocol\":\"https\",\"domain\":\"\",\"bucket\":\"\",\"zone\":\"z0\"}');

-- ----------------------------
-- Table structure for `cmf_portal_category`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_portal_category`;
CREATE TABLE `cmf_portal_category` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '分类id',
  `parent_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '分类父id',
  `post_count` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '分类文章数',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态,1:发布,0:不发布',
  `delete_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '删除时间',
  `list_order` float NOT NULL DEFAULT '10000' COMMENT '排序',
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '分类名称',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT '分类描述',
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT '分类层级关系路径',
  `seo_title` varchar(100) NOT NULL DEFAULT '',
  `seo_keywords` varchar(255) NOT NULL DEFAULT '',
  `seo_description` varchar(255) NOT NULL DEFAULT '',
  `list_tpl` varchar(50) NOT NULL DEFAULT '' COMMENT '分类列表模板',
  `one_tpl` varchar(50) NOT NULL DEFAULT '' COMMENT '分类文章页模板',
  `more` text COMMENT '扩展属性',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='portal应用 文章分类表';

-- ----------------------------
-- Records of cmf_portal_category
-- ----------------------------
INSERT INTO `cmf_portal_category` VALUES ('1', '0', '0', '1', '0', '10000', '帮助中心', '讲师端帮助', '0-1', '', '', '', 'list', 'article', '{\"thumbnail\":\"portal\\/20210113\\/894e8e7b2dfbbafb5dff179be0ec5f4a.jpg\"}');
INSERT INTO `cmf_portal_category` VALUES ('2', '0', '0', '1', '1587887691', '10000', '常见问题', '常见问题疑难解答', '0-2', '', '', '', 'list', 'article', '{\"thumbnail\":\"\"}');
INSERT INTO `cmf_portal_category` VALUES ('3', '0', '0', '1', '0', '10000', '视频课程', '', '0-3', '', '', '', 'list', 'article', '{\"thumbnail\":\"\"}');
INSERT INTO `cmf_portal_category` VALUES ('4', '0', '0', '1', '0', '10000', '运用支持', '运用方面的相关问题集', '0-4', '', '', '', 'list', 'article', '{\"thumbnail\":\"\"}');
INSERT INTO `cmf_portal_category` VALUES ('5', '0', '0', '1', '1599794405', '10000', 'das', 'fsadc', '0-5', '', '', '', 'list', 'article', '{\"thumbnail\":\"\"}');

-- ----------------------------
-- Table structure for `cmf_portal_category_post`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_portal_category_post`;
CREATE TABLE `cmf_portal_category_post` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '文章id',
  `category_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '分类id',
  `list_order` float NOT NULL DEFAULT '10000' COMMENT '排序',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态,1:发布;0:不发布',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `term_taxonomy_id` (`category_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='portal应用 分类文章对应表';

-- ----------------------------
-- Records of cmf_portal_category_post
-- ----------------------------
INSERT INTO `cmf_portal_category_post` VALUES ('2', '18', '1', '10000', '0');
INSERT INTO `cmf_portal_category_post` VALUES ('3', '6', '1', '10000', '0');

-- ----------------------------
-- Table structure for `cmf_portal_post`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_portal_post`;
CREATE TABLE `cmf_portal_post` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '父级id',
  `post_type` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '类型,1:文章;2:页面',
  `post_format` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '内容格式;1:html;2:md',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '发表者用户id',
  `post_status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态;1:已发布;0:未发布;',
  `comment_status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '评论状态;1:允许;0:不允许',
  `is_top` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否置顶;1:置顶;0:不置顶',
  `recommended` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否推荐;1:推荐;0:不推荐',
  `post_hits` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '查看数',
  `post_favorites` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '收藏数',
  `post_like` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '点赞数',
  `comment_count` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '评论数',
  `create_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',
  `update_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '更新时间',
  `published_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '发布时间',
  `delete_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '删除时间',
  `post_title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'post标题',
  `post_keywords` varchar(150) NOT NULL DEFAULT '' COMMENT 'seo keywords',
  `post_excerpt` varchar(500) NOT NULL DEFAULT '' COMMENT 'post摘要',
  `post_source` varchar(150) NOT NULL DEFAULT '' COMMENT '转载文章的来源',
  `thumbnail` varchar(100) NOT NULL DEFAULT '' COMMENT '缩略图',
  `post_content` text COMMENT '文章内容',
  `post_content_filtered` text COMMENT '处理过的文章内容',
  `more` text COMMENT '扩展属性,如缩略图;格式为json',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型，0单页1关于我们',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `type_status_date` (`post_type`,`post_status`,`create_time`,`id`) USING BTREE,
  KEY `parent_id` (`parent_id`) USING BTREE,
  KEY `user_id` (`user_id`) USING BTREE,
  KEY `create_time` (`create_time`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='portal应用 文章表';

-- ----------------------------
-- Records of cmf_portal_post
-- ----------------------------
INSERT INTO `cmf_portal_post` VALUES ('1', '0', '2', '1', '2', '1', '1', '0', '0', '0', '0', '0', '0', '1583979561', '1588229791', '1583979540', '0', '关于我们', '', '', '', '', '&lt;p&gt;关于我们&lt;/p&gt;', null, '{\"thumbnail\":\"\",\"template\":\"page\"}', '0');
INSERT INTO `cmf_portal_post` VALUES ('2', '0', '2', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1583979582', '1586920802', '1583979540', '0', '联系我们', '', '', '', '', '&lt;p&gt;联系我们获取相关最新活动版本~&lt;/p&gt;', null, '{\"thumbnail\":\"\",\"template\":\"page\"}', '0');
INSERT INTO `cmf_portal_post` VALUES ('3', '0', '2', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1583979582', '1587023968', '1583979540', '0', '用户协议', '', '', '', '', '&lt;p&gt;用户协议123&lt;/p&gt;', null, '{\"thumbnail\":\"\",\"template\":\"page\"}', '0');

-- ----------------------------
-- Table structure for `cmf_portal_tag`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_portal_tag`;
CREATE TABLE `cmf_portal_tag` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '分类id',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态,1:发布,0:不发布',
  `recommended` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否推荐;1:推荐;0:不推荐',
  `post_count` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '标签文章数',
  `name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='portal应用 文章标签表';

-- ----------------------------
-- Records of cmf_portal_tag
-- ----------------------------
INSERT INTO `cmf_portal_tag` VALUES ('1', '1', '0', '0', '化学');
INSERT INTO `cmf_portal_tag` VALUES ('2', '1', '0', '0', '语文');
INSERT INTO `cmf_portal_tag` VALUES ('3', '1', '0', '0', '英语');
INSERT INTO `cmf_portal_tag` VALUES ('4', '1', '0', '0', '66666');
INSERT INTO `cmf_portal_tag` VALUES ('5', '1', '0', '0', '疫情');
INSERT INTO `cmf_portal_tag` VALUES ('6', '1', '0', '0', '电商');
INSERT INTO `cmf_portal_tag` VALUES ('7', '1', '0', '0', '推广');
INSERT INTO `cmf_portal_tag` VALUES ('8', '1', '0', '0', '111');
INSERT INTO `cmf_portal_tag` VALUES ('9', '1', '0', '0', '22');

-- ----------------------------
-- Table structure for `cmf_portal_tag_post`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_portal_tag_post`;
CREATE TABLE `cmf_portal_tag_post` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `tag_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '标签 id',
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '文章 id',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态,1:发布;0:不发布',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `post_id` (`post_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='portal应用 标签文章对应表';

-- ----------------------------
-- Records of cmf_portal_tag_post
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_practice_draft`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_practice_draft`;
CREATE TABLE `cmf_practice_draft` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型 0上传1题库',
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `courseid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `lessonid` bigint(20) NOT NULL COMMENT '课时ID',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT '标题',
  `time` int(11) NOT NULL DEFAULT '0' COMMENT '答题时长',
  `content` longtext COMMENT '题库题目内容',
  `answer` longtext COMMENT '答题卡',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  `nums` int(11) NOT NULL COMMENT '题数',
  `score` decimal(11,1) NOT NULL COMMENT '总分',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_practice_draft
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_praise`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_praise`;
CREATE TABLE `cmf_praise` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型 1点赞 2 666 3红星 4鼓掌',
  `nums` bigint(20) NOT NULL DEFAULT '0' COMMENT '数量',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_praise
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_question`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_question`;
CREATE TABLE `cmf_question` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `classid` int(11) NOT NULL DEFAULT '0' COMMENT '科目分类',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型0判断1单选2定项多选3简答4填空5不定项多选',
  `title` text COMMENT '题目',
  `answer` longtext COMMENT '答案',
  `score` decimal(11,1) NOT NULL DEFAULT '0.0' COMMENT '分数',
  `score2` decimal(11,1) NOT NULL COMMENT '单空分数/漏选分数',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '添加时间',
  `uptime` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新时间',
  `parsing` longtext COMMENT '解析',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_question
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_question_class`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_question_class`;
CREATE TABLE `cmf_question_class` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `pid` bigint(20) NOT NULL DEFAULT '0' COMMENT '父级ID',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  `nums` int(11) NOT NULL DEFAULT '0' COMMENT '题目数量',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_question_class
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_question_fav`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_question_fav`;
CREATE TABLE `cmf_question_fav` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `testid` bigint(20) NOT NULL DEFAULT '0' COMMENT '试题ID',
  `qid` bigint(20) NOT NULL DEFAULT '0' COMMENT '题目ID',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型0判断1单选2多选3简答4填空',
  `title` text COMMENT '题目',
  `answer` longtext COMMENT '答案',
  `parsing` longtext COMMENT '解析',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_question_fav
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_recycle_bin`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_recycle_bin`;
CREATE TABLE `cmf_recycle_bin` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `object_id` int(11) DEFAULT '0' COMMENT '删除内容 id',
  `create_time` int(10) unsigned DEFAULT '0' COMMENT '创建时间',
  `table_name` varchar(60) DEFAULT '' COMMENT '删除内容所在表名',
  `name` varchar(255) DEFAULT '' COMMENT '删除内容名称',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '用户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT=' 回收站';

-- ----------------------------
-- Records of cmf_recycle_bin
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_role`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_role`;
CREATE TABLE `cmf_role` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '父角色ID',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '状态;0:禁用;1:正常',
  `create_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',
  `update_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '更新时间',
  `list_order` float NOT NULL DEFAULT '0' COMMENT '排序',
  `name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '角色名称',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `parent_id` (`parent_id`) USING BTREE,
  KEY `status` (`status`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='角色表';

-- ----------------------------
-- Records of cmf_role
-- ----------------------------
INSERT INTO `cmf_role` VALUES ('1', '0', '1', '1329633709', '1329633709', '0', '超级管理员', '拥有网站最高管理员权限！');

-- ----------------------------
-- Table structure for `cmf_role_user`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_role_user`;
CREATE TABLE `cmf_role_user` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `role_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '角色 id',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '用户id',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `role_id` (`role_id`) USING BTREE,
  KEY `user_id` (`user_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户角色对应表';

-- ----------------------------
-- Records of cmf_role_user
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_route`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_route`;
CREATE TABLE `cmf_route` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '路由id',
  `list_order` float NOT NULL DEFAULT '10000' COMMENT '排序',
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '状态;1:启用,0:不启用',
  `type` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'URL规则类型;1:用户自定义;2:别名添加',
  `full_url` varchar(255) NOT NULL DEFAULT '' COMMENT '完整url',
  `url` varchar(255) NOT NULL DEFAULT '' COMMENT '实际显示的url',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='url路由表';

-- ----------------------------
-- Records of cmf_route
-- ----------------------------
INSERT INTO `cmf_route` VALUES ('1', '5000', '1', '2', 'portal/List/index?id=5', 'dsac');
INSERT INTO `cmf_route` VALUES ('2', '4999', '1', '2', 'portal/Article/index?cid=5', 'dsac/:id');

-- ----------------------------
-- Table structure for `cmf_signory`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_signory`;
CREATE TABLE `cmf_signory` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_signory
-- ----------------------------
INSERT INTO `cmf_signory` VALUES ('1', '数学', '2');
INSERT INTO `cmf_signory` VALUES ('3', '语文', '1');
INSERT INTO `cmf_signory` VALUES ('4', '化学', '5');
INSERT INTO `cmf_signory` VALUES ('5', '物理', '4');
INSERT INTO `cmf_signory` VALUES ('6', '英语', '3');
INSERT INTO `cmf_signory` VALUES ('16', '政治', '6');
INSERT INTO `cmf_signory` VALUES ('17', '历史', '7');
INSERT INTO `cmf_signory` VALUES ('18', '地理', '8');
INSERT INTO `cmf_signory` VALUES ('19', '音乐', '10');
INSERT INTO `cmf_signory` VALUES ('20', '生物', '9');

-- ----------------------------
-- Table structure for `cmf_slide`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_slide`;
CREATE TABLE `cmf_slide` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态,1:显示,0不显示',
  `delete_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '删除时间',
  `name` varchar(50) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '幻灯片分类',
  `remark` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '分类备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='幻灯片表';

-- ----------------------------
-- Records of cmf_slide
-- ----------------------------
INSERT INTO `cmf_slide` VALUES ('1', '1', '0', 'APP首页', '不可删除');
INSERT INTO `cmf_slide` VALUES ('2', '1', '1587438162', '幻灯片', '');
INSERT INTO `cmf_slide` VALUES ('3', '1', '1587460102', '幻灯片2', '不可删除');
INSERT INTO `cmf_slide` VALUES ('4', '1', '0', 'APP轮播', '');
INSERT INTO `cmf_slide` VALUES ('5', '1', '0', 'PC首页', '不可删除');

-- ----------------------------
-- Table structure for `cmf_slide_item`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_slide_item`;
CREATE TABLE `cmf_slide_item` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `slide_id` int(11) NOT NULL DEFAULT '0' COMMENT '幻灯片id',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '状态,1:显示;0:隐藏',
  `list_order` float NOT NULL DEFAULT '10000' COMMENT '排序',
  `title` varchar(50) NOT NULL DEFAULT '' COMMENT '幻灯片名称',
  `image` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '幻灯片图片',
  `url` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '幻灯片链接',
  `target` varchar(10) NOT NULL DEFAULT '' COMMENT '友情链接打开方式',
  `description` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT '幻灯片描述',
  `content` text CHARACTER SET utf8 COMMENT '幻灯片内容',
  `more` text COMMENT '扩展信息',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `slide_id` (`slide_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='幻灯片子项表';

-- ----------------------------
-- Records of cmf_slide_item
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_task`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_task`;
CREATE TABLE `cmf_task` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型 0上传1题库',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '标题',
  `classid` int(11) NOT NULL DEFAULT '0' COMMENT '分类ID',
  `courseid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课程ID',
  `lessonid` bigint(20) NOT NULL DEFAULT '0' COMMENT '课时ID',
  `actionuid` varchar(255) NOT NULL DEFAULT '' COMMENT '批阅老师ID',
  `endtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '截止时间',
  `content` text COMMENT '作业内容',
  `answer` text COMMENT '答案信息 json',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '添加时间',
  `review` int(11) NOT NULL DEFAULT '0' COMMENT '已批阅数量',
  `total` int(11) NOT NULL DEFAULT '0' COMMENT '已提交数量',
  `isok` tinyint(1) NOT NULL DEFAULT '0' COMMENT '已完成0否1是',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态 0待发布1发布中-1已删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_task
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_task_user`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_task_user`;
CREATE TABLE `cmf_task_user` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `taskid` bigint(20) NOT NULL DEFAULT '0' COMMENT '作业ID',
  `answer` text COMMENT '作答信息JSON',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '提交时间',
  `actionuid` bigint(20) NOT NULL DEFAULT '0' COMMENT '批阅用户ID',
  `actiontime` bigint(20) NOT NULL DEFAULT '0' COMMENT '批阅时间',
  `score` decimal(11,1) DEFAULT '0.0' COMMENT '总分',
  `endtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '作业结束时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_task_user
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_tests`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_tests`;
CREATE TABLE `cmf_tests` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `catid` bigint(20) NOT NULL DEFAULT '0' COMMENT '类型ID',
  `gradeid` bigint(20) NOT NULL DEFAULT '0' COMMENT '年级ID',
  `course_recom` text COMMENT '推荐课程ID 格式[1],[2],[3]',
  `course_com` text COMMENT '必修课程ID 格式[1],[2],[3]',
  `thumb` varchar(255) NOT NULL DEFAULT '' COMMENT '封面',
  `des` varchar(255) NOT NULL DEFAULT '' COMMENT '简介',
  `score` int(11) NOT NULL COMMENT '总分',
  `nums` bigint(20) NOT NULL DEFAULT '0' COMMENT '题目数量',
  `ans_nums` int(11) NOT NULL COMMENT '作答人数',
  `content` longtext COMMENT '试题内容',
  `time_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否限制时间端，0否1是',
  `starttime` bigint(20) NOT NULL DEFAULT '0' COMMENT '开考时间',
  `endtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '结束时间',
  `length` int(11) NOT NULL DEFAULT '0' COMMENT '时长（分钟） 0不限制',
  `test_nums` int(11) NOT NULL DEFAULT '0' COMMENT '考试次数 0不限制',
  `test_limit` int(11) NOT NULL DEFAULT '0' COMMENT '重考间隔（分钟） 0不限制',
  `showscore` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否显示分值 0否1是',
  `showrs` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否显示成绩 0否1是',
  `showq` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否显示题目 0否1提交考试后立即展示2提交且批改完成后展示',
  `showans` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否显示答案 0否1提交考试后立即展示2提交且批改完成后展示',
  `actionuid` varchar(255) NOT NULL DEFAULT '' COMMENT '批阅老师ID 格式 [1],[2],[3]',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '添加时间',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态 -1已删除 0待发布 1发布中',
  `uptime` bigint(20) NOT NULL DEFAULT '0' COMMENT '发布时间',
  `total` int(11) NOT NULL DEFAULT '0' COMMENT '总提交数',
  `review` int(11) NOT NULL DEFAULT '0' COMMENT '已批阅数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_tests
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_tests_cat`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_tests_cat`;
CREATE TABLE `cmf_tests_cat` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_tests_cat
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_tests_user`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_tests_user`;
CREATE TABLE `cmf_tests_user` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `testsid` bigint(20) NOT NULL DEFAULT '0' COMMENT '试题ID',
  `answer` text COMMENT '作答信息JSON',
  `uptime` bigint(20) NOT NULL DEFAULT '0' COMMENT '提交时间',
  `actionuid` bigint(20) NOT NULL DEFAULT '0' COMMENT '批阅用户ID',
  `actiontime` bigint(20) NOT NULL DEFAULT '0' COMMENT '批阅时间',
  `score` decimal(11,1) NOT NULL DEFAULT '0.0' COMMENT '得分',
  `test_nums` int(11) NOT NULL DEFAULT '0' COMMENT '考试次数',
  `starttime` bigint(20) NOT NULL DEFAULT '0' COMMENT '开始时间',
  `endtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '结束时间',
  `expiretime` bigint(20) NOT NULL DEFAULT '0' COMMENT '有效结束时间',
  `correct_nums` int(11) NOT NULL DEFAULT '0' COMMENT '正确数',
  `error_nums` int(11) NOT NULL DEFAULT '0' COMMENT '错误数',
  `ishandel` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否处理',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_tests_user
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_theme`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_theme`;
CREATE TABLE `cmf_theme` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `create_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '安装时间',
  `update_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最后升级时间',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '模板状态,1:正在使用;0:未使用',
  `is_compiled` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否为已编译模板',
  `theme` varchar(20) NOT NULL DEFAULT '' COMMENT '主题目录名，用于主题的维一标识',
  `name` varchar(20) NOT NULL DEFAULT '' COMMENT '主题名称',
  `version` varchar(20) NOT NULL DEFAULT '' COMMENT '主题版本号',
  `demo_url` varchar(50) NOT NULL DEFAULT '' COMMENT '演示地址，带协议',
  `thumbnail` varchar(100) NOT NULL DEFAULT '' COMMENT '缩略图',
  `author` varchar(20) NOT NULL DEFAULT '' COMMENT '主题作者',
  `author_url` varchar(50) NOT NULL DEFAULT '' COMMENT '作者网站链接',
  `lang` varchar(10) NOT NULL DEFAULT '' COMMENT '支持语言',
  `keywords` varchar(50) NOT NULL DEFAULT '' COMMENT '主题关键字',
  `description` varchar(100) NOT NULL DEFAULT '' COMMENT '主题描述',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_theme
-- ----------------------------
INSERT INTO `cmf_theme` VALUES ('1', '0', '0', '0', '0', 'simpleboot3', 'simpleboot3', '1.0.2', 'http://demo.thinkcmf.com', '', 'ThinkCMF', 'http://www.thinkcmf.com', 'zh-cn', 'ThinkCMF模板', 'ThinkCMF默认模板');

-- ----------------------------
-- Table structure for `cmf_theme_file`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_theme_file`;
CREATE TABLE `cmf_theme_file` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `is_public` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否公共的模板文件',
  `list_order` float NOT NULL DEFAULT '10000' COMMENT '排序',
  `theme` varchar(20) NOT NULL DEFAULT '' COMMENT '模板名称',
  `name` varchar(20) NOT NULL DEFAULT '' COMMENT '模板文件名',
  `action` varchar(50) NOT NULL DEFAULT '' COMMENT '操作',
  `file` varchar(50) NOT NULL DEFAULT '' COMMENT '模板文件，相对于模板根目录，如Portal/index.html',
  `description` varchar(100) NOT NULL DEFAULT '' COMMENT '模板文件描述',
  `more` text COMMENT '模板更多配置,用户自己后台设置的',
  `config_more` text COMMENT '模板更多配置,来源模板的配置文件',
  `draft_more` text COMMENT '模板更多配置,用户临时保存的配置',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_theme_file
-- ----------------------------
INSERT INTO `cmf_theme_file` VALUES ('1', '0', '10', 'simpleboot3', '文章页', 'portal/Article/index', 'portal/article', '文章页模板文件', '{\"vars\":{\"hot_articles_category_id\":{\"title\":\"Hot Articles\\u5206\\u7c7bID\",\"value\":\"1\",\"type\":\"text\",\"tip\":\"\",\"rule\":[]}}}', '{\"vars\":{\"hot_articles_category_id\":{\"title\":\"Hot Articles\\u5206\\u7c7bID\",\"value\":\"1\",\"type\":\"text\",\"tip\":\"\",\"rule\":[]}}}', null);
INSERT INTO `cmf_theme_file` VALUES ('2', '0', '10', 'simpleboot3', '联系我们页', 'portal/Page/index', 'portal/contact', '联系我们页模板文件', '{\"vars\":{\"baidu_map_info_window_text\":{\"title\":\"\\u767e\\u5ea6\\u5730\\u56fe\\u6807\\u6ce8\\u6587\\u5b57\",\"name\":\"baidu_map_info_window_text\",\"value\":\"ThinkCMF<br\\/><span class=\'\'>\\u5730\\u5740\\uff1a\\u4e0a\\u6d77\\u5e02\\u5f90\\u6c47\\u533a\\u659c\\u571f\\u8def2601\\u53f7<\\/span>\",\"type\":\"text\",\"tip\":\"\\u767e\\u5ea6\\u5730\\u56fe\\u6807\\u6ce8\\u6587\\u5b57,\\u652f\\u6301\\u7b80\\u5355html\\u4ee3\\u7801\",\"rule\":[]},\"company_location\":{\"title\":\"\\u516c\\u53f8\\u5750\\u6807\",\"value\":\"\",\"type\":\"location\",\"tip\":\"\",\"rule\":{\"require\":true}},\"address_cn\":{\"title\":\"\\u516c\\u53f8\\u5730\\u5740\",\"value\":\"\\u4e0a\\u6d77\\u5e02\\u5f90\\u6c47\\u533a\\u659c\\u571f\\u8def0001\\u53f7\",\"type\":\"text\",\"tip\":\"\",\"rule\":{\"require\":true}},\"address_en\":{\"title\":\"\\u516c\\u53f8\\u5730\\u5740\\uff08\\u82f1\\u6587\\uff09\",\"value\":\"NO.0001 Xie Tu Road, Shanghai China\",\"type\":\"text\",\"tip\":\"\",\"rule\":{\"require\":true}},\"email\":{\"title\":\"\\u516c\\u53f8\\u90ae\\u7bb1\",\"value\":\"catman@thinkcmf.com\",\"type\":\"text\",\"tip\":\"\",\"rule\":{\"require\":true}},\"phone_cn\":{\"title\":\"\\u516c\\u53f8\\u7535\\u8bdd\",\"value\":\"021 1000 0001\",\"type\":\"text\",\"tip\":\"\",\"rule\":{\"require\":true}},\"phone_en\":{\"title\":\"\\u516c\\u53f8\\u7535\\u8bdd\\uff08\\u82f1\\u6587\\uff09\",\"value\":\"+8621 1000 0001\",\"type\":\"text\",\"tip\":\"\",\"rule\":{\"require\":true}},\"qq\":{\"title\":\"\\u8054\\u7cfbQQ\",\"value\":\"478519726\",\"type\":\"text\",\"tip\":\"\\u591a\\u4e2a QQ\\u4ee5\\u82f1\\u6587\\u9017\\u53f7\\u9694\\u5f00\",\"rule\":{\"require\":true}}}}', '{\"vars\":{\"baidu_map_info_window_text\":{\"title\":\"\\u767e\\u5ea6\\u5730\\u56fe\\u6807\\u6ce8\\u6587\\u5b57\",\"name\":\"baidu_map_info_window_text\",\"value\":\"ThinkCMF<br\\/><span class=\'\'>\\u5730\\u5740\\uff1a\\u4e0a\\u6d77\\u5e02\\u5f90\\u6c47\\u533a\\u659c\\u571f\\u8def2601\\u53f7<\\/span>\",\"type\":\"text\",\"tip\":\"\\u767e\\u5ea6\\u5730\\u56fe\\u6807\\u6ce8\\u6587\\u5b57,\\u652f\\u6301\\u7b80\\u5355html\\u4ee3\\u7801\",\"rule\":[]},\"company_location\":{\"title\":\"\\u516c\\u53f8\\u5750\\u6807\",\"value\":\"\",\"type\":\"location\",\"tip\":\"\",\"rule\":{\"require\":true}},\"address_cn\":{\"title\":\"\\u516c\\u53f8\\u5730\\u5740\",\"value\":\"\\u4e0a\\u6d77\\u5e02\\u5f90\\u6c47\\u533a\\u659c\\u571f\\u8def0001\\u53f7\",\"type\":\"text\",\"tip\":\"\",\"rule\":{\"require\":true}},\"address_en\":{\"title\":\"\\u516c\\u53f8\\u5730\\u5740\\uff08\\u82f1\\u6587\\uff09\",\"value\":\"NO.0001 Xie Tu Road, Shanghai China\",\"type\":\"text\",\"tip\":\"\",\"rule\":{\"require\":true}},\"email\":{\"title\":\"\\u516c\\u53f8\\u90ae\\u7bb1\",\"value\":\"catman@thinkcmf.com\",\"type\":\"text\",\"tip\":\"\",\"rule\":{\"require\":true}},\"phone_cn\":{\"title\":\"\\u516c\\u53f8\\u7535\\u8bdd\",\"value\":\"021 1000 0001\",\"type\":\"text\",\"tip\":\"\",\"rule\":{\"require\":true}},\"phone_en\":{\"title\":\"\\u516c\\u53f8\\u7535\\u8bdd\\uff08\\u82f1\\u6587\\uff09\",\"value\":\"+8621 1000 0001\",\"type\":\"text\",\"tip\":\"\",\"rule\":{\"require\":true}},\"qq\":{\"title\":\"\\u8054\\u7cfbQQ\",\"value\":\"478519726\",\"type\":\"text\",\"tip\":\"\\u591a\\u4e2a QQ\\u4ee5\\u82f1\\u6587\\u9017\\u53f7\\u9694\\u5f00\",\"rule\":{\"require\":true}}}}', null);
INSERT INTO `cmf_theme_file` VALUES ('3', '0', '5', 'simpleboot3', '首页', 'portal/Index/index', 'portal/index', '首页模板文件', '{\"vars\":{\"top_slide\":{\"title\":\"\\u9876\\u90e8\\u5e7b\\u706f\\u7247\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"admin\\/Slide\\/index\",\"multi\":false},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u9876\\u90e8\\u5e7b\\u706f\\u7247\",\"tip\":\"\\u9876\\u90e8\\u5e7b\\u706f\\u7247\",\"rule\":{\"require\":true}}},\"widgets\":{\"features\":{\"title\":\"\\u5feb\\u901f\\u4e86\\u89e3ThinkCMF\",\"display\":\"1\",\"vars\":{\"sub_title\":{\"title\":\"\\u526f\\u6807\\u9898\",\"value\":\"Quickly understand the ThinkCMF\",\"type\":\"text\",\"placeholder\":\"\\u8bf7\\u8f93\\u5165\\u526f\\u6807\\u9898\",\"tip\":\"\",\"rule\":{\"require\":true}},\"features\":{\"title\":\"\\u7279\\u6027\\u4ecb\\u7ecd\",\"value\":[{\"title\":\"MVC\\u5206\\u5c42\\u6a21\\u5f0f\",\"icon\":\"bars\",\"content\":\"\\u4f7f\\u7528MVC\\u5e94\\u7528\\u7a0b\\u5e8f\\u88ab\\u5206\\u6210\\u4e09\\u4e2a\\u6838\\u5fc3\\u90e8\\u4ef6\\uff1a\\u6a21\\u578b\\uff08M\\uff09\\u3001\\u89c6\\u56fe\\uff08V\\uff09\\u3001\\u63a7\\u5236\\u5668\\uff08C\\uff09\\uff0c\\u4ed6\\u4e0d\\u662f\\u4e00\\u4e2a\\u65b0\\u7684\\u6982\\u5ff5\\uff0c\\u53ea\\u662fThinkCMF\\u5c06\\u5176\\u53d1\\u6325\\u5230\\u4e86\\u6781\\u81f4\\u3002\"},{\"title\":\"\\u7528\\u6237\\u7ba1\\u7406\",\"icon\":\"group\",\"content\":\"ThinkCMF\\u5185\\u7f6e\\u4e86\\u7075\\u6d3b\\u7684\\u7528\\u6237\\u7ba1\\u7406\\u65b9\\u5f0f\\uff0c\\u5e76\\u53ef\\u76f4\\u63a5\\u4e0e\\u7b2c\\u4e09\\u65b9\\u7ad9\\u70b9\\u8fdb\\u884c\\u4e92\\u8054\\u4e92\\u901a\\uff0c\\u5982\\u679c\\u4f60\\u613f\\u610f\\u751a\\u81f3\\u53ef\\u4ee5\\u5bf9\\u5355\\u4e2a\\u7528\\u6237\\u6216\\u7fa4\\u4f53\\u7528\\u6237\\u7684\\u884c\\u4e3a\\u8fdb\\u884c\\u8bb0\\u5f55\\u53ca\\u5206\\u4eab\\uff0c\\u4e3a\\u60a8\\u7684\\u8fd0\\u8425\\u51b3\\u7b56\\u63d0\\u4f9b\\u6709\\u6548\\u53c2\\u8003\\u6570\\u636e\\u3002\"},{\"title\":\"\\u4e91\\u7aef\\u90e8\\u7f72\",\"icon\":\"cloud\",\"content\":\"\\u901a\\u8fc7\\u9a71\\u52a8\\u7684\\u65b9\\u5f0f\\u53ef\\u4ee5\\u8f7b\\u677e\\u652f\\u6301\\u4e91\\u5e73\\u53f0\\u7684\\u90e8\\u7f72\\uff0c\\u8ba9\\u4f60\\u7684\\u7f51\\u7ad9\\u65e0\\u7f1d\\u8fc1\\u79fb\\uff0c\\u5185\\u7f6e\\u5df2\\u7ecf\\u652f\\u6301SAE\\u3001BAE\\uff0c\\u6b63\\u5f0f\\u7248\\u5c06\\u5bf9\\u4e91\\u7aef\\u90e8\\u7f72\\u8fdb\\u884c\\u8fdb\\u4e00\\u6b65\\u4f18\\u5316\\u3002\"},{\"title\":\"\\u5b89\\u5168\\u7b56\\u7565\",\"icon\":\"heart\",\"content\":\"\\u63d0\\u4f9b\\u7684\\u7a33\\u5065\\u7684\\u5b89\\u5168\\u7b56\\u7565\\uff0c\\u5305\\u62ec\\u5907\\u4efd\\u6062\\u590d\\uff0c\\u5bb9\\u9519\\uff0c\\u9632\\u6cbb\\u6076\\u610f\\u653b\\u51fb\\u767b\\u9646\\uff0c\\u7f51\\u9875\\u9632\\u7be1\\u6539\\u7b49\\u591a\\u9879\\u5b89\\u5168\\u7ba1\\u7406\\u529f\\u80fd\\uff0c\\u4fdd\\u8bc1\\u7cfb\\u7edf\\u5b89\\u5168\\uff0c\\u53ef\\u9760\\uff0c\\u7a33\\u5b9a\\u7684\\u8fd0\\u884c\\u3002\"},{\"title\":\"\\u5e94\\u7528\\u6a21\\u5757\\u5316\",\"icon\":\"cubes\",\"content\":\"\\u63d0\\u51fa\\u5168\\u65b0\\u7684\\u5e94\\u7528\\u6a21\\u5f0f\\u8fdb\\u884c\\u6269\\u5c55\\uff0c\\u4e0d\\u7ba1\\u662f\\u4f60\\u5f00\\u53d1\\u4e00\\u4e2a\\u5c0f\\u529f\\u80fd\\u8fd8\\u662f\\u4e00\\u4e2a\\u5168\\u65b0\\u7684\\u7ad9\\u70b9\\uff0c\\u5728ThinkCMF\\u4e2d\\u4f60\\u53ea\\u662f\\u589e\\u52a0\\u4e86\\u4e00\\u4e2aAPP\\uff0c\\u6bcf\\u4e2a\\u72ec\\u7acb\\u8fd0\\u884c\\u4e92\\u4e0d\\u5f71\\u54cd\\uff0c\\u4fbf\\u4e8e\\u7075\\u6d3b\\u6269\\u5c55\\u548c\\u4e8c\\u6b21\\u5f00\\u53d1\\u3002\"},{\"title\":\"\\u514d\\u8d39\\u5f00\\u6e90\",\"icon\":\"certificate\",\"content\":\"\\u4ee3\\u7801\\u9075\\u5faaApache2\\u5f00\\u6e90\\u534f\\u8bae\\uff0c\\u514d\\u8d39\\u4f7f\\u7528\\uff0c\\u5bf9\\u5546\\u4e1a\\u7528\\u6237\\u4e5f\\u65e0\\u4efb\\u4f55\\u9650\\u5236\\u3002\"}],\"type\":\"array\",\"item\":{\"title\":{\"title\":\"\\u6807\\u9898\",\"value\":\"\",\"type\":\"text\",\"rule\":{\"require\":true}},\"icon\":{\"title\":\"\\u56fe\\u6807\",\"value\":\"\",\"type\":\"text\"},\"content\":{\"title\":\"\\u63cf\\u8ff0\",\"value\":\"\",\"type\":\"textarea\"}},\"tip\":\"\"}}},\"last_news\":{\"title\":\"\\u6700\\u65b0\\u8d44\\u8baf\",\"display\":\"1\",\"vars\":{\"last_news_category_id\":{\"title\":\"\\u6587\\u7ae0\\u5206\\u7c7bID\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"portal\\/Category\\/index\",\"multi\":true},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u5206\\u7c7b\",\"tip\":\"\",\"rule\":{\"require\":true}}}}}}', '{\"vars\":{\"top_slide\":{\"title\":\"\\u9876\\u90e8\\u5e7b\\u706f\\u7247\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"admin\\/Slide\\/index\",\"multi\":false},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u9876\\u90e8\\u5e7b\\u706f\\u7247\",\"tip\":\"\\u9876\\u90e8\\u5e7b\\u706f\\u7247\",\"rule\":{\"require\":true}}},\"widgets\":{\"features\":{\"title\":\"\\u5feb\\u901f\\u4e86\\u89e3ThinkCMF\",\"display\":\"1\",\"vars\":{\"sub_title\":{\"title\":\"\\u526f\\u6807\\u9898\",\"value\":\"Quickly understand the ThinkCMF\",\"type\":\"text\",\"placeholder\":\"\\u8bf7\\u8f93\\u5165\\u526f\\u6807\\u9898\",\"tip\":\"\",\"rule\":{\"require\":true}},\"features\":{\"title\":\"\\u7279\\u6027\\u4ecb\\u7ecd\",\"value\":[{\"title\":\"MVC\\u5206\\u5c42\\u6a21\\u5f0f\",\"icon\":\"bars\",\"content\":\"\\u4f7f\\u7528MVC\\u5e94\\u7528\\u7a0b\\u5e8f\\u88ab\\u5206\\u6210\\u4e09\\u4e2a\\u6838\\u5fc3\\u90e8\\u4ef6\\uff1a\\u6a21\\u578b\\uff08M\\uff09\\u3001\\u89c6\\u56fe\\uff08V\\uff09\\u3001\\u63a7\\u5236\\u5668\\uff08C\\uff09\\uff0c\\u4ed6\\u4e0d\\u662f\\u4e00\\u4e2a\\u65b0\\u7684\\u6982\\u5ff5\\uff0c\\u53ea\\u662fThinkCMF\\u5c06\\u5176\\u53d1\\u6325\\u5230\\u4e86\\u6781\\u81f4\\u3002\"},{\"title\":\"\\u7528\\u6237\\u7ba1\\u7406\",\"icon\":\"group\",\"content\":\"ThinkCMF\\u5185\\u7f6e\\u4e86\\u7075\\u6d3b\\u7684\\u7528\\u6237\\u7ba1\\u7406\\u65b9\\u5f0f\\uff0c\\u5e76\\u53ef\\u76f4\\u63a5\\u4e0e\\u7b2c\\u4e09\\u65b9\\u7ad9\\u70b9\\u8fdb\\u884c\\u4e92\\u8054\\u4e92\\u901a\\uff0c\\u5982\\u679c\\u4f60\\u613f\\u610f\\u751a\\u81f3\\u53ef\\u4ee5\\u5bf9\\u5355\\u4e2a\\u7528\\u6237\\u6216\\u7fa4\\u4f53\\u7528\\u6237\\u7684\\u884c\\u4e3a\\u8fdb\\u884c\\u8bb0\\u5f55\\u53ca\\u5206\\u4eab\\uff0c\\u4e3a\\u60a8\\u7684\\u8fd0\\u8425\\u51b3\\u7b56\\u63d0\\u4f9b\\u6709\\u6548\\u53c2\\u8003\\u6570\\u636e\\u3002\"},{\"title\":\"\\u4e91\\u7aef\\u90e8\\u7f72\",\"icon\":\"cloud\",\"content\":\"\\u901a\\u8fc7\\u9a71\\u52a8\\u7684\\u65b9\\u5f0f\\u53ef\\u4ee5\\u8f7b\\u677e\\u652f\\u6301\\u4e91\\u5e73\\u53f0\\u7684\\u90e8\\u7f72\\uff0c\\u8ba9\\u4f60\\u7684\\u7f51\\u7ad9\\u65e0\\u7f1d\\u8fc1\\u79fb\\uff0c\\u5185\\u7f6e\\u5df2\\u7ecf\\u652f\\u6301SAE\\u3001BAE\\uff0c\\u6b63\\u5f0f\\u7248\\u5c06\\u5bf9\\u4e91\\u7aef\\u90e8\\u7f72\\u8fdb\\u884c\\u8fdb\\u4e00\\u6b65\\u4f18\\u5316\\u3002\"},{\"title\":\"\\u5b89\\u5168\\u7b56\\u7565\",\"icon\":\"heart\",\"content\":\"\\u63d0\\u4f9b\\u7684\\u7a33\\u5065\\u7684\\u5b89\\u5168\\u7b56\\u7565\\uff0c\\u5305\\u62ec\\u5907\\u4efd\\u6062\\u590d\\uff0c\\u5bb9\\u9519\\uff0c\\u9632\\u6cbb\\u6076\\u610f\\u653b\\u51fb\\u767b\\u9646\\uff0c\\u7f51\\u9875\\u9632\\u7be1\\u6539\\u7b49\\u591a\\u9879\\u5b89\\u5168\\u7ba1\\u7406\\u529f\\u80fd\\uff0c\\u4fdd\\u8bc1\\u7cfb\\u7edf\\u5b89\\u5168\\uff0c\\u53ef\\u9760\\uff0c\\u7a33\\u5b9a\\u7684\\u8fd0\\u884c\\u3002\"},{\"title\":\"\\u5e94\\u7528\\u6a21\\u5757\\u5316\",\"icon\":\"cubes\",\"content\":\"\\u63d0\\u51fa\\u5168\\u65b0\\u7684\\u5e94\\u7528\\u6a21\\u5f0f\\u8fdb\\u884c\\u6269\\u5c55\\uff0c\\u4e0d\\u7ba1\\u662f\\u4f60\\u5f00\\u53d1\\u4e00\\u4e2a\\u5c0f\\u529f\\u80fd\\u8fd8\\u662f\\u4e00\\u4e2a\\u5168\\u65b0\\u7684\\u7ad9\\u70b9\\uff0c\\u5728ThinkCMF\\u4e2d\\u4f60\\u53ea\\u662f\\u589e\\u52a0\\u4e86\\u4e00\\u4e2aAPP\\uff0c\\u6bcf\\u4e2a\\u72ec\\u7acb\\u8fd0\\u884c\\u4e92\\u4e0d\\u5f71\\u54cd\\uff0c\\u4fbf\\u4e8e\\u7075\\u6d3b\\u6269\\u5c55\\u548c\\u4e8c\\u6b21\\u5f00\\u53d1\\u3002\"},{\"title\":\"\\u514d\\u8d39\\u5f00\\u6e90\",\"icon\":\"certificate\",\"content\":\"\\u4ee3\\u7801\\u9075\\u5faaApache2\\u5f00\\u6e90\\u534f\\u8bae\\uff0c\\u514d\\u8d39\\u4f7f\\u7528\\uff0c\\u5bf9\\u5546\\u4e1a\\u7528\\u6237\\u4e5f\\u65e0\\u4efb\\u4f55\\u9650\\u5236\\u3002\"}],\"type\":\"array\",\"item\":{\"title\":{\"title\":\"\\u6807\\u9898\",\"value\":\"\",\"type\":\"text\",\"rule\":{\"require\":true}},\"icon\":{\"title\":\"\\u56fe\\u6807\",\"value\":\"\",\"type\":\"text\"},\"content\":{\"title\":\"\\u63cf\\u8ff0\",\"value\":\"\",\"type\":\"textarea\"}},\"tip\":\"\"}}},\"last_news\":{\"title\":\"\\u6700\\u65b0\\u8d44\\u8baf\",\"display\":\"1\",\"vars\":{\"last_news_category_id\":{\"title\":\"\\u6587\\u7ae0\\u5206\\u7c7bID\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"portal\\/Category\\/index\",\"multi\":true},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u5206\\u7c7b\",\"tip\":\"\",\"rule\":{\"require\":true}}}}}}', null);
INSERT INTO `cmf_theme_file` VALUES ('4', '0', '10', 'simpleboot3', '文章列表页', 'portal/List/index', 'portal/list', '文章列表模板文件', '{\"vars\":[],\"widgets\":{\"hottest_articles\":{\"title\":\"\\u70ed\\u95e8\\u6587\\u7ae0\",\"display\":\"1\",\"vars\":{\"hottest_articles_category_id\":{\"title\":\"\\u6587\\u7ae0\\u5206\\u7c7bID\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"portal\\/category\\/index\",\"multi\":true},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u5206\\u7c7b\",\"tip\":\"\",\"rule\":{\"require\":true}}}},\"last_articles\":{\"title\":\"\\u6700\\u65b0\\u53d1\\u5e03\",\"display\":\"1\",\"vars\":{\"last_articles_category_id\":{\"title\":\"\\u6587\\u7ae0\\u5206\\u7c7bID\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"portal\\/category\\/index\",\"multi\":true},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u5206\\u7c7b\",\"tip\":\"\",\"rule\":{\"require\":true}}}}}}', '{\"vars\":[],\"widgets\":{\"hottest_articles\":{\"title\":\"\\u70ed\\u95e8\\u6587\\u7ae0\",\"display\":\"1\",\"vars\":{\"hottest_articles_category_id\":{\"title\":\"\\u6587\\u7ae0\\u5206\\u7c7bID\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"portal\\/category\\/index\",\"multi\":true},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u5206\\u7c7b\",\"tip\":\"\",\"rule\":{\"require\":true}}}},\"last_articles\":{\"title\":\"\\u6700\\u65b0\\u53d1\\u5e03\",\"display\":\"1\",\"vars\":{\"last_articles_category_id\":{\"title\":\"\\u6587\\u7ae0\\u5206\\u7c7bID\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"portal\\/category\\/index\",\"multi\":true},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u5206\\u7c7b\",\"tip\":\"\",\"rule\":{\"require\":true}}}}}}', null);
INSERT INTO `cmf_theme_file` VALUES ('5', '0', '10', 'simpleboot3', '单页面', 'portal/Page/index', 'portal/page', '单页面模板文件', '{\"widgets\":{\"hottest_articles\":{\"title\":\"\\u70ed\\u95e8\\u6587\\u7ae0\",\"display\":\"1\",\"vars\":{\"hottest_articles_category_id\":{\"title\":\"\\u6587\\u7ae0\\u5206\\u7c7bID\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"portal\\/category\\/index\",\"multi\":true},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u5206\\u7c7b\",\"tip\":\"\",\"rule\":{\"require\":true}}}},\"last_articles\":{\"title\":\"\\u6700\\u65b0\\u53d1\\u5e03\",\"display\":\"1\",\"vars\":{\"last_articles_category_id\":{\"title\":\"\\u6587\\u7ae0\\u5206\\u7c7bID\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"portal\\/category\\/index\",\"multi\":true},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u5206\\u7c7b\",\"tip\":\"\",\"rule\":{\"require\":true}}}}}}', '{\"widgets\":{\"hottest_articles\":{\"title\":\"\\u70ed\\u95e8\\u6587\\u7ae0\",\"display\":\"1\",\"vars\":{\"hottest_articles_category_id\":{\"title\":\"\\u6587\\u7ae0\\u5206\\u7c7bID\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"portal\\/category\\/index\",\"multi\":true},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u5206\\u7c7b\",\"tip\":\"\",\"rule\":{\"require\":true}}}},\"last_articles\":{\"title\":\"\\u6700\\u65b0\\u53d1\\u5e03\",\"display\":\"1\",\"vars\":{\"last_articles_category_id\":{\"title\":\"\\u6587\\u7ae0\\u5206\\u7c7bID\",\"value\":\"\",\"type\":\"text\",\"dataSource\":{\"api\":\"portal\\/category\\/index\",\"multi\":true},\"placeholder\":\"\\u8bf7\\u9009\\u62e9\\u5206\\u7c7b\",\"tip\":\"\",\"rule\":{\"require\":true}}}}}}', null);
INSERT INTO `cmf_theme_file` VALUES ('6', '0', '10', 'simpleboot3', '搜索页面', 'portal/search/index', 'portal/search', '搜索模板文件', '{\"vars\":{\"varName1\":{\"title\":\"\\u70ed\\u95e8\\u641c\\u7d22\",\"value\":\"1\",\"type\":\"text\",\"tip\":\"\\u8fd9\\u662f\\u4e00\\u4e2atext\",\"rule\":{\"require\":true}}}}', '{\"vars\":{\"varName1\":{\"title\":\"\\u70ed\\u95e8\\u641c\\u7d22\",\"value\":\"1\",\"type\":\"text\",\"tip\":\"\\u8fd9\\u662f\\u4e00\\u4e2atext\",\"rule\":{\"require\":true}}}}', null);
INSERT INTO `cmf_theme_file` VALUES ('7', '1', '0', 'simpleboot3', '模板全局配置', 'public/Config', 'public/config', '模板全局配置文件', '{\"vars\":{\"enable_mobile\":{\"title\":\"\\u624b\\u673a\\u6ce8\\u518c\",\"value\":1,\"type\":\"select\",\"options\":{\"1\":\"\\u5f00\\u542f\",\"0\":\"\\u5173\\u95ed\"},\"tip\":\"\"}}}', '{\"vars\":{\"enable_mobile\":{\"title\":\"\\u624b\\u673a\\u6ce8\\u518c\",\"value\":1,\"type\":\"select\",\"options\":{\"1\":\"\\u5f00\\u542f\",\"0\":\"\\u5173\\u95ed\"},\"tip\":\"\"}}}', null);
INSERT INTO `cmf_theme_file` VALUES ('8', '1', '1', 'simpleboot3', '导航条', 'public/Nav', 'public/nav', '导航条模板文件', '{\"vars\":{\"company_name\":{\"title\":\"\\u516c\\u53f8\\u540d\\u79f0\",\"name\":\"company_name\",\"value\":\"ThinkCMF\",\"type\":\"text\",\"tip\":\"\",\"rule\":[]}}}', '{\"vars\":{\"company_name\":{\"title\":\"\\u516c\\u53f8\\u540d\\u79f0\",\"name\":\"company_name\",\"value\":\"ThinkCMF\",\"type\":\"text\",\"tip\":\"\",\"rule\":[]}}}', null);

-- ----------------------------
-- Table structure for `cmf_user`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_user`;
CREATE TABLE `cmf_user` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_type` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '用户类型;1:admin;2:会员',
  `sex` tinyint(2) NOT NULL DEFAULT '0' COMMENT '性别;0:保密,1:男,2:女',
  `birthday` int(11) NOT NULL DEFAULT '0' COMMENT '生日',
  `last_login_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后登录时间',
  `score` int(11) NOT NULL DEFAULT '0' COMMENT '用户积分',
  `coin` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '金币',
  `balance` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '余额',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '注册时间',
  `user_status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '用户状态;0:禁用,1:正常,2:未验证',
  `user_login` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '用户名',
  `user_pass` varchar(64) NOT NULL DEFAULT '' COMMENT '登录密码;cmf_password加密',
  `user_nickname` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '用户昵称',
  `user_email` varchar(100) NOT NULL DEFAULT '' COMMENT '用户登录邮箱',
  `user_url` varchar(100) NOT NULL DEFAULT '' COMMENT '用户个人网址',
  `avatar` varchar(255) NOT NULL DEFAULT '' COMMENT '用户头像',
  `signature` varchar(255) NOT NULL DEFAULT '' COMMENT '个性签名',
  `last_login_ip` varchar(15) NOT NULL DEFAULT '' COMMENT '最后登录ip',
  `user_activation_key` varchar(60) NOT NULL DEFAULT '' COMMENT '激活码',
  `mobile` varchar(20) NOT NULL DEFAULT '' COMMENT '中国手机不带国家代码，国际手机号格式为：国家代码-手机号',
  `more` text COMMENT '扩展属性',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `user_login` (`user_login`) USING BTREE,
  KEY `user_nickname` (`user_nickname`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户表';

-- ----------------------------
-- Records of cmf_user
-- ----------------------------
INSERT INTO `cmf_user` VALUES ('1', '1', '0', '0', '1611992168', '0', '0', '0.00', '1582608854', '1', 'admin', '###873b66711c2919068139c6f593b46278', 'admin', 'admin@qq.com', '', '', '', '123.135.66.159', '', '', null);

-- ----------------------------
-- Table structure for `cmf_users`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_users`;
CREATE TABLE `cmf_users` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `sex` tinyint(2) NOT NULL DEFAULT '0' COMMENT '性别;0:保密,1:男,2:女',
  `birthday` bigint(20) NOT NULL DEFAULT '0' COMMENT '生日',
  `last_login_time` bigint(20) NOT NULL DEFAULT '0' COMMENT '最后登录时间',
  `coin` decimal(20,2) unsigned NOT NULL DEFAULT '0.00' COMMENT '金币',
  `integral` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '积分',
  `consumption` decimal(20,2) NOT NULL DEFAULT '0.00' COMMENT '累计消费',
  `create_time` bigint(20) NOT NULL DEFAULT '0' COMMENT '注册时间',
  `user_status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT '用户状态;0:禁用,1:正常,2:未验证',
  `user_login` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '用户名',
  `user_pass` varchar(64) NOT NULL DEFAULT '' COMMENT '登录密码;cmf_password加密',
  `user_nickname` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '用户昵称',
  `avatar` varchar(255) NOT NULL DEFAULT '' COMMENT '用户头像',
  `avatar_thumb` varchar(255) NOT NULL DEFAULT '' COMMENT '用户小头像，200X200以下',
  `signature` varchar(255) NOT NULL DEFAULT '' COMMENT '个性签名',
  `last_login_ip` varchar(15) NOT NULL DEFAULT '' COMMENT '最后登录ip',
  `mobile` varchar(20) NOT NULL DEFAULT '' COMMENT '中国手机不带国家代码，国际手机号格式为：国家代码-手机号',
  `login_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '第三方标识,0PC，1QQ，2微信，3新浪，4facebook，5twitter',
  `openid` varchar(255) NOT NULL DEFAULT '' COMMENT '三方openid',
  `school` varchar(255) NOT NULL DEFAULT '' COMMENT '院校',
  `experience` longtext COMMENT '教育经历',
  `feature` longtext COMMENT '教育特点',
  `source` tinyint(1) NOT NULL DEFAULT '0' COMMENT '注册设备，0web1android2IOS3小程序',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '会员类型，0学员1教师',
  `signoryid` int(11) NOT NULL DEFAULT '0' COMMENT '专长ID',
  `identity` varchar(255) NOT NULL DEFAULT '' COMMENT '身份标识',
  `courses` int(11) NOT NULL DEFAULT '0' COMMENT '课程数',
  `list_order` int(11) NOT NULL DEFAULT '10000' COMMENT '序号',
  `gradeid` bigint(20) NOT NULL DEFAULT '0' COMMENT '学级分类ID',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `user_login` (`user_login`) USING BTREE,
  KEY `user_nickname` (`user_nickname`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户表';

-- ----------------------------
-- Records of cmf_users
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_users_addrs`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_users_addrs`;
CREATE TABLE `cmf_users_addrs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户id',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '收货人',
  `mobile` varchar(255) NOT NULL DEFAULT '' COMMENT '联系方式',
  `province` varchar(255) NOT NULL DEFAULT '' COMMENT '省',
  `city` varchar(255) NOT NULL DEFAULT '' COMMENT '市',
  `area` varchar(255) NOT NULL DEFAULT '' COMMENT '区',
  `addr` varchar(255) NOT NULL DEFAULT '' COMMENT '详细地址',
  `isdef` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否默认地址，0否1是',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_users_addrs
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_users_attention`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_users_attention`;
CREATE TABLE `cmf_users_attention` (
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `touid` bigint(20) NOT NULL DEFAULT '0' COMMENT '对方ID',
  `addtime` int(11) NOT NULL DEFAULT '0' COMMENT '时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_users_attention
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_users_auth`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_users_auth`;
CREATE TABLE `cmf_users_auth` (
  `uid` int(11) unsigned NOT NULL,
  `name` varchar(50) NOT NULL DEFAULT '' COMMENT '真实姓名',
  `mobile` varchar(50) NOT NULL DEFAULT '' COMMENT '联系电话',
  `cer_no` varchar(50) NOT NULL DEFAULT '' COMMENT '身份证号',
  `front_view` varchar(255) NOT NULL DEFAULT '' COMMENT '证件正面',
  `back_view` varchar(255) NOT NULL DEFAULT '' COMMENT '证件反面',
  `handset_view` varchar(255) NOT NULL DEFAULT '' COMMENT '手持证件正面照',
  `reason` text COMMENT '原因',
  `addtime` int(12) NOT NULL DEFAULT '0' COMMENT '提交时间',
  `uptime` int(12) NOT NULL DEFAULT '0' COMMENT '更新时间',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态，0审核中1通过2拒绝',
  PRIMARY KEY (`uid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_users_auth
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_users_coinrecord`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_users_coinrecord`;
CREATE TABLE `cmf_users_coinrecord` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '收支类型,0支出，1收入',
  `action` tinyint(4) NOT NULL DEFAULT '0' COMMENT '收支行为，1余额下单2订单退回3赠送礼物',
  `uid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '用户ID',
  `touid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '对方ID',
  `actionid` int(11) NOT NULL DEFAULT '0' COMMENT '行为对应ID',
  `nums` int(11) NOT NULL DEFAULT '0' COMMENT '数量',
  `total` int(11) NOT NULL DEFAULT '0' COMMENT '总价',
  `addtime` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '添加时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `action_uid_addtime` (`action`,`uid`,`addtime`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_users_coinrecord
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_users_pushid`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_users_pushid`;
CREATE TABLE `cmf_users_pushid` (
  `uid` bigint(20) unsigned NOT NULL COMMENT '用户ID',
  `pushid` varchar(255) NOT NULL DEFAULT '' COMMENT '用户对应极光registration_id',
  PRIMARY KEY (`uid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cmf_users_pushid
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_users_token`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_users_token`;
CREATE TABLE `cmf_users_token` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户id',
  `expire_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT ' 过期时间',
  `create_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',
  `token` varchar(64) NOT NULL DEFAULT '' COMMENT 'token',
  `device_type` varchar(10) NOT NULL DEFAULT '' COMMENT '设备类型;mobile,android,iphone,ipad,web,pc,mac,wxapp',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户客户端登录 token 表';

-- ----------------------------
-- Records of cmf_users_token
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_user_token`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_user_token`;
CREATE TABLE `cmf_user_token` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户id',
  `expire_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT ' 过期时间',
  `create_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',
  `token` varchar(64) NOT NULL DEFAULT '' COMMENT 'token',
  `device_type` varchar(10) NOT NULL DEFAULT '' COMMENT '设备类型;mobile,android,iphone,ipad,web,pc,mac,wxapp',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户客户端登录 token 表';

-- ----------------------------
-- Records of cmf_user_token
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_verification_code`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_verification_code`;
CREATE TABLE `cmf_verification_code` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '表id',
  `count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '当天已经发送成功的次数',
  `send_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最后发送成功时间',
  `expire_time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '验证码过期时间',
  `code` varchar(8) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '最后发送成功的验证码',
  `account` varchar(100) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '手机号或者邮箱',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='手机邮箱数字验证码表';

-- ----------------------------
-- Records of cmf_verification_code
-- ----------------------------

-- ----------------------------
-- Table structure for `cmf_wrongbook`
-- ----------------------------
DROP TABLE IF EXISTS `cmf_wrongbook`;
CREATE TABLE `cmf_wrongbook` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '类型 0自己录入1题库录入',
  `source` tinyint(1) NOT NULL DEFAULT '0' COMMENT '来源 0其他 1在线测试2考试3收藏',
  `testsid` bigint(20) NOT NULL DEFAULT '0' COMMENT '试题ID',
  `qid` bigint(20) NOT NULL DEFAULT '0' COMMENT '题目ID/题目题号',
  `content` longtext COMMENT '题目信息',
  `answer` longtext COMMENT '答案信息',
  `des` longtext COMMENT '备注',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '状态 0未掌握1已掌握',
  `addtime` bigint(20) NOT NULL DEFAULT '0' COMMENT '添加时间',
  `uptime` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of cmf_wrongbook
-- ----------------------------
